//STRIPPEDSOURCE//

package com.ms.wfc.core;

import com.ms.wfc.app.*;
import com.ms.wfc.io.*;

/**
 * Interface that allows an object to participate in the storing of resource
 * based properties.
 *
 * @security(checkClassLinking=on)
 */
public interface IResourceWriter {

    /**
     * Writes the specified set of resources to a file. 
     */
    public void persistProperties(IDataStream data, IResourceSet properties);
}