//STRIPPEDSOURCE//

package com.ms.wfc.core;

/**
 * Represents an exception for invalid arguments. 
 *
 * @security(checkClassLinking=on)
 */
public class WFCInvalidArgumentException extends WFCException {

    /**
     * Creates a new WFCInvalidArgumentException. This will not
     * have any message associated with it.
     */
    public WFCInvalidArgumentException() {}

    /**
     * Creates a new WFCInvalidArgumentException. This will have
     * <i>message</i> as the associated message.
     * 
     * @param message Message to display with this exception.
     */
    public WFCInvalidArgumentException(String message) {}
}