//STRIPPEDSOURCE//

package com.ms.wfc.core;

/**
 * Exception when the state of an object, be it internal or external,
 * is no longer valid, sane, or usable.
 *
 * @security(checkClassLinking=on)
 */
public class WFCInvalidStateException extends WFCException {

    /**
     * Creates a new WFCInvalidStateException. This will not
     * have any message associated with it.
     */
    public WFCInvalidStateException() {}

    /**
     * Creates a new WFCInvalidStateException. This will have
     * <i>message</i> as the associated message.
     * 
     * @param message Message to display with this exception.
     */
    public WFCInvalidStateException(String message) {}

    /**
     * Creates a new WFCException. This exception will have an innerException
     * and <i>message</i> as the detailed description.
     *
     * @param message Detailed description for the exception.
     * @param innerException Inner exception.
     */
    public WFCInvalidStateException(String message, Throwable innerException) {}
}