//STRIPPEDSOURCE//

package com.ms.wfc.core;

/**
 * Represents an exception for errors in system calls. 
 *
 * @security(checkClassLinking=on)
 */
public class WFCSystemException extends WFCException {

    /**
     * Creates a new WFCSystemException. This will not
     * have any message associated with it.
     */
    public WFCSystemException() {}

    /**
     * Creates a new WFCSystemException. This will have
     * <i>message</i> as the associated message.
     * 
     * @param message Message to display with this exception.
     */
    public WFCSystemException(String message) {}
}