//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the columnResize  event of the DataGrid control. 
 * @security(checkClassLinking=on)
 */
public class ColumnResizeEvent extends Event {

    /**
     * Display index of the column this event applies to.
     */
    public int column;
    /**
     * New width of the column.
     */
    public int newWidth;
    /**
     * Cancel flag. Set this to true to prevent the resize from occuring.
     */
    public boolean cancel;

    /**
     * Creates a new ColumnResizeEvent object.
     *
     * @param column Column this event applies to.
     * @param newWidth New width of the column
     * @param cancel Default value of the cancel flag
     */
    public ColumnResizeEvent(int column, int newWidth, boolean cancel) {}
}