//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.core.*;


/**
 * Defines the constants that specify the style of the gridlines in a DataGrid control. 
 * @security(checkClassLinking=on)
 */
public class GridLineStyle extends Enum {
    /**
     * Specifies that the control has no gridlines between cells.
     */
    public static final int NONE = 0;
    /**
     * Specifies that the control's gridlines are single lines.
     */
    public static final int SINGLELINE = 1;
    /**
     * Specifies that the control has sunken, three-dimensional gridlines.
     */
    public static final int SUNKEN3D = 2;
    /**
     * Specifies that the control has raised, three-dimensional gridlines.
     */
    public static final int RAISED3D = 3;
    
    public static boolean valid(int value) {}
}