//STRIPPEDSOURCE//
package com.ms.wfc.html;
import com.ms.wfc.core.*;

/**
 * Defines constants for border sides. 
 *
 * @security(checkClassLinking=on)
 */
public class DhBorders extends Enum { 
    /**
     *  Specifies the combination of all border side items. This is equivalent to (TOP | RIGHT | BOTTOM | LEFT)<br>
     *  Equivelent to (TOP | RIGHT | BOTTOM | LEFT)
     */
    public static final int   ALL                = 0xF;

    /**
     * Specifies the top border. */
    public static final int   TOP                = 0x1;

    /**
     * Specifies the right border. */    
    public static final int   RIGHT              = 0x2;

    /**
     * Specifies the bottom border. */    
    public static final int   BOTTOM             = 0x4;
    
    /**
     * Specifies the left border. */    
    public static final int   LEFT               = 0x8;    
    

    public static boolean valid(int n) {}
}