//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.html.om.IOmNavigator;
import com.ms.com.IUnknown;

/**
 * Enables access to Internet Explorer browser functionality. 
 * @security(checkClassLinking=on)
 */
public class DhBrowser {
        IOmNavigator m_navPeer;

        
        DhBrowser(IOmNavigator nav){}

        /**
        * Retrieves the underlying peer object for this class.   This object will implement the
        * IOmNavigator interface.<p>
        * <em>Note that calling this method represents a very advanced usage scenario. Normally you would
        * never use this method.</em>
        *
        * @return The peer object which underlies the DhBrowser object.
        */
        public IUnknown getPeer()
        {}

        /**
         * Retrieves the browser's code name.  */
        public String getAppCodeName()  {}
        
        /**
         * Retrieves the name of the browser.  */
        public String getAppName(){}

        /**
         * Retrieves the version of the browser.  */     
        public String getAppVersion(){}

        /**
         * Retrieves the Hypertext Transfer Protocol (HTTP) user-agent header string.  */     
        public String getUserAgent(){}

        /**
         * Determines whether client-side cookies are enabled in the browser.  */
        public boolean getCookieEnabled(){}

        /**
         * Retrieves the CPU class string. )
         */     
        public String getCpuClass()     {}

        /**
         * Retrieves the system language setting.  */     
        public String getSystemLanguage(){}

        /**
         * Retrieves the browser language setting.  */     
        public String getBrowserLanguage(){}

        /**
         * Retrieves the user language setting.  */     
        public String getUserLanguage(){}

        public String getPlatform()     {}

        /**
         * Retrieves the application's minor version string.  0 for IE 4.0)
         */
        public String getAppMinorVersion(){}

        /**
         * Determines whether the browser is connected online.  */     
        public boolean getOnLine(){}
}