//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.html.event.DhImageMapListener;
import com.ms.wfc.html.event.DhEvents;
import com.ms.wfc.core.*;



class DhImageMap extends DhBaseContainer {
    
    /**
     * Default ctor.  Crates a map with a generated name.
     */
    public DhImageMap(){}

    /**
     * One step ctor.  Creates a map with a name.
     * @param strName The name of the image map.
     */
    public DhImageMap( String strName ){}

    /**
     * @internalonly
     */
    public void add( DhElement e ){}

    /**
     * @internalonly
     */
    protected DhEvents createEvents(){}

    /**
     * Add a <a href="com.ms.wfc.html.DhHotSpot.html">DhHotSpot</a> object
     * to this image map.
     * 
     * @param hs The new DhHotSpot
     */
    public void addHotSpot( DhHotSpot hs ){}

    /**
     * Adds a hotspot with the specified properties to the image map.
     *
     * @param nShape The shape of the hotspot, from DhHotSpotShapes
     * @param coords An <b>int</b>  array of the coordinates
     * @param  strURL  The URL to navigate to if the hotspot is selected by the user.
     */
    public void addHotSpot( int nShape, int[] coords, String strURL ){}

    /**
     * Retrieves an array of the <a href="com.ms.wfc.html.DhHotSpot.html">DhHotSpot</a> objects contained in
     * this image map.
     * @return The DhHotSpot array.
     */
    public DhHotSpot[] getHotSpots(){}

    /**
     * Retrieves the name for this image map.
     * @return The image map name
     */
    public String getName(){}

    /**
     * Sets the name for this image map
     * @param strName The name of the image map
     */
    public void setName( String strName ){}

    /**
     * @internalonly
     */
    protected int getTagNameID(){}
    
    /**
     * Removes the specified <a href="com.ms.wfc.html.DhHotSpot.html">DhHotSpot</a> from the image map
     * @param hs The DhHotSpot to remove.
     */
    public void removeHotSpot( DhHotSpot hs ){}

/**
 * @hidden
 * @internalonly
 *
 * @security(checkClassLinking=on)
 */        
    public static class ClassInfo extends DhBaseContainer.ClassInfo {
        public static final PropertyInfo name =
                                               new PropertyInfo(DhImageMap.class, "name", String.class,
                                                                CategoryAttribute.Appearance,
                                                                new DescriptionAttribute("DhImageMapName"));

        public void getProperties(IProperties props) {}
    }
}