//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.core.*;

/**
 * Provides constants for inserting DhElement  items into containers.  DhElement items) into
 * container items.
 *
 * @security(checkClassLinking=on)
 */
public class DhInsertOptions extends Enum {
    /**
     * Specifies that the item is inserted at the end of the current list. */
    public static final int END = 0;
    
    /**
     * Specifies that the item is inserted at the beginning of the current list. */
    public static final int BEGINNING = 1;
    
    /**
     * Specifies that the item is inserted before the designated item in the list. */
    public static final int BEFORE = 2;
    
    /**
     * Specifies that the item is inserted after the designated item in the list. */
    public static final int AFTER = 3;

    public static boolean valid(int n) {}
}