//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.core.*;

/**
* Provides constant definitions for margin style manipulation. 
*
* @security(checkClassLinking=on)
*/
public class DhMargins extends Enum {
    /**
    *  Specifies the combination of all constants. This is equivalent to (TOP
     * | RIGHT | BOTTOM | LEFT). <br>
    *  Equivelent to (TOP | RIGHT | BOTTOM | LEFT)
    */
    public static final int   ALL                = 0xF;

    /**
    * Specifies a top margin. */
    public static final int   TOP                = 0x1;

    /**
    * Specifies a right margin. */    
    public static final int   RIGHT              = 0x2;

    /**
    * Specifies a bottom margin. */    
    public static final int   BOTTOM             = 0x4;
    
    /**
    * Specifies a left margin. */    
    public static final int   LEFT               = 0x8;    

    public static boolean valid(int n) {}
}