//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.core.*;

/**
 * Provides constant definitions for padding style manipulation. 
 *
 * @security(checkClassLinking=on)
 */
public class DhPaddings extends Enum {
    /**
     *  Specifies a combination of all padding constants. <br>
     *  Equivelent to (TOP | RIGHT | BOTTOM | LEFT)
     */
    public static final int   ALL                = 0xF;

    /**
     * Specifies top padding. */
    public static final int   TOP                = 0x1;

    /**
     * Specifies right padding. */    
    public static final int   RIGHT              = 0x2;

    /**
     * Specifies bottom padding. */    
    public static final int   BOTTOM             = 0x4;
    
    /**
     * Specifies left padding. */    
    public static final int   LEFT               = 0x8;    

    public static boolean valid(int n) {}
}