//STRIPPEDSOURCE//
package com.ms.wfc.html;
import com.ms.wfc.core.*;

import com.ms.wfc.core.ComponentManager;
import com.ms.wfc.io.*;

/** 
 * This class is for internal use by the package
 * @hidden
 * @internalonly 
 *
 * @security(checkClassLinking=on)
 */
public class DhScanner { 
    
    IReader             m_reader;           
    char[]                  m_data;         
    int                     m_size;
    int                     m_index;

    char[]          m_buf;          

    char[]          m_string;       
    int                     m_strid;    
    int                     m_token;        
    int                     m_char;         

    int                     m_quote;        

    DhParseInfo m_currPI;   
    
    boolean blockRead = true; 
    

    #if DEBUG
    StringBuffer processed;
    #endif
    
    public DhScanner( String HTML ) {}
    
    public DhScanner( IDataStream in ) {}
    
    public DhScanner() {}
    
    public void setHTML( String html ) {}
    
    public void setReader( IDataStream in ) {}
    
    public void setReader(IReader inReader ) {}
    
    void reset(){}

    
    
    
    
    
    

    public boolean hasMoreInput(){}
    
    
    public int getRemainingByteCount(){}
    
    public int getRemainingInput( byte[] bArray, int off ){}

    protected void resetTop(){}
    
    public void parseAttributes() throws DhScanException {}
    
    public void parseStyle() {}
    
    public void parseTagFront() {}
    
    
    
    
    
    
    public void parseTag() {}
    
    private void parseTag( boolean atName ) {}
    
    private void parseTagName(boolean atName) {}
    
    private void startTag() {}
    
    private void finishTag() {}
    
    
    
    
    private void parseBangComment(){}
    
    private void parseContent() {}

    private void parseStyle(int endQuote) throws DhScanException {}   

    public void setBlockRead( boolean blockRead ){}

    private void advance() throws DhScanException {}

    private void error(String s) throws DhScanException {}

    private static boolean getNameChar(char c) {}

    private static boolean getNameFirstChar(char c) {}

    private boolean parseToken(int t, String s) throws DhScanException {}

    private boolean peekToken( int token ) {}

    private void scanStyleString(int endQuote, boolean isNumeric) {}

    private void setStringFromBuf(int sz,boolean isNumeric) {}

    private void scanAttrString(int endQuote, boolean isNumeric) {}


    private void initBuf() {}

    private void scanName(String s) throws DhScanException {}

    private void skipWhite() {}

    private int nextToken() throws DhScanException {}

    final private DhParseInfo push(int name) {}

    final private DhParseInfo top() {}

    final private boolean getLazy() {}

    final private boolean hasClose() {}

    final private int getTagName() {}

    final private int getParentTagName() {}

    final private void pop() {}

    final private void setEndedLazy() {}

    final private boolean getAndClearEndedLazy() {}

    final private void setQuickTerminate() {}

    final private boolean getAndClearQuickTerminate() {}

    public boolean onTag(DhParseInfo pi) {}

    public boolean onTagEnd   (DhParseInfo pi) {}

    public boolean onAttribute(DhParseInfo pi, int dhkey, char[] strKeyName, int dhval, char[] value) {}

    public boolean onStyle    (DhParseInfo pi, int dhkey, int dhval, char[] value) {}

    public boolean onContent  (DhParseInfo pi, char[] value, int cb) {}

    public boolean onTagComplete( DhParseInfo pi ){}


    static final int TAGSTART       = '<';
    static final int TAGEND         = '>';
    static final int EQ             = '=';
    static final int QUOTE          = '\'';
    static final int COLON                  = ':';
    static final int TAGTERM        = '/';

    static final int EOF            = -1;

    static final int NAME           = -4;
    static final int TEXT           = -5;


}


class DhScanException extends WFCException { 
    DhScanException(String s, int row, int col, Object owner) {}
}


class DhParseInfo { 
    DhNameValuePairs m_attrs;
    DhNameValuePairs m_styles;
    DhParseInfo     m_prev;
    int                             m_tag;
    String              m_id;
    String    m_strTag;
    Class               m_class;
    DhElement       m_element;
    boolean                 m_isLazy;
    boolean                 m_hasClose;
    boolean                 m_endedLazy;
    boolean                 m_quickTerminate;
    int                     m_memberChildren;
    int                     m_addPos = -1;
}