//STRIPPEDSOURCE//

package com.ms.wfc.html.event;

import com.ms.wfc.core.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.html.*;
import com.ms.lang.Delegate;

/**
 * Placeholder class for creating unique event identifiers. See
 * <a href="com.ms.wfc.html.event.DhEvents.html#EVENT_ABORT>DhEvents</a> for
 * the actual list of event IDs used internally in this package.
 *
 * @security(checkClassLinking=on)
 */
public class DhEventID { 
    private String m_id;
    private int    m_type;

    protected DhEventID(String id, int type) {}

    final protected String getID() {}

    protected Event getEvent(DhEventInfo eventInfo) {}        

    protected void fireEvent(Delegate handler, Object sender, DhEventInfo eventInfo) {}
    
    protected void fireEvent(Delegate handler, Object sender, Event e) {}
    
    
    private void fireGenericEvent(Delegate handler, Object sender, Event e) {}

    
    private void fireKeyEvent(Delegate handler, Object sender, KeyEvent e) {}

    
    private void fireKeyPressEvent(Delegate handler, Object sender, KeyPressEvent e) {}

    
    private void fireMouseEvent(Delegate handler, Object sender, MouseEvent e) {}

    
    private void fireScrollEvent(Delegate handler, Object sender, ScrollEvent e) {}

    
    private void fireHelpEvent(Delegate handler, Object sender, HelpEvent e) {}

    
    private void fireReadyStateEvent(Delegate handler, Object sender, ReadyStateEvent e) {}
}