//STRIPPEDSOURCE//











package com.ms.wfc.html.om;

import com.ms.com.*;
import com.ms.com.IUnknown;
import com.ms.com.Variant;


/** @com.interface(iid=3050F401-98B5-11CF-BB82-00AA00BDCE0B, thread=AUTO, type=DUAL) 
 * @security(checkClassLinking=on)
 */
public interface IHTMLOpsProfile extends IUnknown
{
  /** @com.method(vtoffset=4, dispid=1, type=METHOD, name="addRequest", addFlagsVtable=4)
      @com.parameters([in,type=STRING] name, [in,type=VARIANT] reserved, [type=BOOLEAN] return) */
  public boolean addRequest(String name, Variant reserved);

  /** @com.method(vtoffset=5, dispid=2, type=METHOD, name="clearRequest", addFlagsVtable=4)
      @com.parameters() */
  public void clearRequest();

  /** @com.method(vtoffset=6, dispid=3, type=METHOD, name="doRequest", addFlagsVtable=4)
      @com.parameters([in,type=VARIANT] usage, [in,type=VARIANT] fname, [in,type=VARIANT] domain, [in,type=VARIANT] path, [in,type=VARIANT] expire, [in,type=VARIANT] reserved) */
  public void doRequest(Variant usage, Variant fname, Variant domain, Variant path, Variant expire, Variant reserved);

  /** @com.method(vtoffset=7, dispid=4, type=METHOD, name="getAttribute", addFlagsVtable=4)
      @com.parameters([in,type=STRING] name, [type=STRING] return) */
  public String getAttribute(String name);

  /** @com.method(vtoffset=8, dispid=5, type=METHOD, name="setAttribute", addFlagsVtable=4)
      @com.parameters([in,type=STRING] name, [in,type=STRING] value, [in,type=VARIANT] prefs, [type=BOOLEAN] return) */
  public boolean setAttribute(String name, String value, Variant prefs);

  /** @com.method(vtoffset=9, dispid=6, type=METHOD, name="commitChanges", addFlagsVtable=4)
      @com.parameters([type=BOOLEAN] return) */
  public boolean commitChanges();

  /** @com.method(vtoffset=10, dispid=7, type=METHOD, name="addReadRequest", addFlagsVtable=4)
      @com.parameters([in,type=STRING] name, [in,type=VARIANT] reserved, [type=BOOLEAN] return) */
  public boolean addReadRequest(String name, Variant reserved);

  /** @com.method(vtoffset=11, dispid=8, type=METHOD, name="doReadRequest", addFlagsVtable=4)
      @com.parameters([in,type=VARIANT] usage, [in,type=VARIANT] fname, [in,type=VARIANT] domain, [in,type=VARIANT] path, [in,type=VARIANT] expire, [in,type=VARIANT] reserved) */
  public void doReadRequest(Variant usage, Variant fname, Variant domain, Variant path, Variant expire, Variant reserved);

  /** @com.method(vtoffset=12, dispid=9, type=METHOD, name="doWriteRequest", addFlagsVtable=4)
      @com.parameters([type=BOOLEAN] return) */
  public boolean doWriteRequest();


  public static final com.ms.com._Guid iid = new com.ms.com._Guid((int)0x3050f401, (short)0x98b5, (short)0x11cf, (byte)0xbb, (byte)0x82, (byte)0x0, (byte)0xaa, (byte)0x0, (byte)0xbd, (byte)0xce, (byte)0xb);
}