//STRIPPEDSOURCE//











package com.ms.wfc.html.om.shdocvw;

import com.ms.com.*;
import com.ms.com.IUnknown;
import com.ms.com.Variant;


/** @com.interface(iid=EAB22AC2-30C1-11CF-A7EB-0000C05BAE0B, thread=AUTO, type=DISPATCH) 
 * @security(checkClassLinking=on)
 */
public interface DWebBrowserEvents extends IUnknown
{
  /** @com.method(dispid=100, type=METHOD, name="BeforeNavigate", returntype=VOID)
      @com.parameters([in,type=STRING] URL, [in,type=I4] Flags, [in,type=STRING] TargetFrameName, [in,elementType=VARIANT,type=PTR] PostData, [in,type=STRING] Headers, [in,out,elementType=BOOLEAN,type=ARRAY] Cancel) */
  public void BeforeNavigate(String URL, int Flags, String TargetFrameName, Variant PostData, String Headers, boolean[] Cancel);

  /** @com.method(dispid=101, type=METHOD, name="NavigateComplete", returntype=VOID)
      @com.parameters([in,type=STRING] URL) */
  public void NavigateComplete(String URL);

  /** @com.method(dispid=102, type=METHOD, name="StatusTextChange", returntype=VOID)
      @com.parameters([in,type=STRING] Text) */
  public void StatusTextChange(String Text);

  /** @com.method(dispid=108, type=METHOD, name="ProgressChange", returntype=VOID)
      @com.parameters([in,type=I4] Progress, [in,type=I4] ProgressMax) */
  public void ProgressChange(int Progress, int ProgressMax);

  /** @com.method(dispid=104, type=METHOD, name="DownloadComplete", returntype=VOID)
      @com.parameters() */
  public void DownloadComplete();

  /** @com.method(dispid=105, type=METHOD, name="CommandStateChange", returntype=VOID)
      @com.parameters([in,type=I4] Command, [in,type=BOOLEAN] Enable) */
  public void CommandStateChange(int Command, boolean Enable);

  /** @com.method(dispid=106, type=METHOD, name="DownloadBegin", returntype=VOID)
      @com.parameters() */
  public void DownloadBegin();

  /** @com.method(dispid=107, type=METHOD, name="NewWindow", returntype=VOID)
      @com.parameters([in,type=STRING] URL, [in,type=I4] Flags, [in,type=STRING] TargetFrameName, [in,elementType=VARIANT,type=PTR] PostData, [in,type=STRING] Headers, [in,out,elementType=BOOLEAN,type=ARRAY] Processed) */
  public void NewWindow(String URL, int Flags, String TargetFrameName, Variant PostData, String Headers, boolean[] Processed);

  /** @com.method(dispid=113, type=METHOD, name="TitleChange", returntype=VOID)
      @com.parameters([in,type=STRING] Text) */
  public void TitleChange(String Text);

  /** @com.method(dispid=200, type=METHOD, name="FrameBeforeNavigate", returntype=VOID)
      @com.parameters([in,type=STRING] URL, [in,type=I4] Flags, [in,type=STRING] TargetFrameName, [in,elementType=VARIANT,type=PTR] PostData, [in,type=STRING] Headers, [in,out,elementType=BOOLEAN,type=ARRAY] Cancel) */
  public void FrameBeforeNavigate(String URL, int Flags, String TargetFrameName, Variant PostData, String Headers, boolean[] Cancel);

  /** @com.method(dispid=201, type=METHOD, name="FrameNavigateComplete", returntype=VOID)
      @com.parameters([in,type=STRING] URL) */
  public void FrameNavigateComplete(String URL);

  /** @com.method(dispid=204, type=METHOD, name="FrameNewWindow", returntype=VOID)
      @com.parameters([in,type=STRING] URL, [in,type=I4] Flags, [in,type=STRING] TargetFrameName, [in,elementType=VARIANT,type=PTR] PostData, [in,type=STRING] Headers, [in,out,elementType=BOOLEAN,type=ARRAY] Processed) */
  public void FrameNewWindow(String URL, int Flags, String TargetFrameName, Variant PostData, String Headers, boolean[] Processed);

  /** @com.method(dispid=103, type=METHOD, name="Quit", returntype=VOID)
      @com.parameters([in,out,elementType=BOOLEAN,type=ARRAY] Cancel) */
  public void Quit(boolean[] Cancel);

  /** @com.method(dispid=109, type=METHOD, name="WindowMove", returntype=VOID)
      @com.parameters() */
  public void WindowMove();

  /** @com.method(dispid=110, type=METHOD, name="WindowResize", returntype=VOID)
      @com.parameters() */
  public void WindowResize();

  /** @com.method(dispid=111, type=METHOD, name="WindowActivate", returntype=VOID)
      @com.parameters() */
  public void WindowActivate();

  /** @com.method(dispid=112, type=METHOD, name="PropertyChange", returntype=VOID)
      @com.parameters([in,type=STRING] Property) */
  public void PropertyChange(String Property);


  public static final com.ms.com._Guid iid = new com.ms.com._Guid((int)0xeab22ac2, (short)0x30c1, (short)0x11cf, (byte)0xa7, (byte)0xeb, (byte)0x0, (byte)0x0, (byte)0xc0, (byte)0x5b, (byte)0xae, (byte)0xb);
}