//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.app.*;

/**
 * Design-time editor for Anchor properties.
 * 
 * @see com.ms.wfc.core.IValueEditor
 *
 * @security(checkClassLinking=on)
 */
public class AnchorEditor extends ValueEditor {

    private IEditorHost editorHost;
    private IValueAccess valueaccess;

    /**
     * Creates an AnchorEditor.
     */
    public AnchorEditor() {}

    /**
     * Edits the value.
     * 
     * @see com.ms.wfc.core.IValueEditor#editValue
     */
    public void editValue(IValueAccess iva) {}
    
    /**
     * Retrieves the style of the editor.
     * 
     * @see com.ms.wfc.core.IValueEditor#editValue
     * 
     * @return the editor style.
     */
    public int getStyle() {}
    
    /**
     * Retrieves the constant associated with <i>value</i>.
     * 
     * @param value Value to retrieve constant for.
     * 
     * @see com.ms.wfc.core.IValueEditor#getConstantName
     * 
     * @return the constant associated with <i>value</i>.
     */
    public String getConstantName(Object value) {}
    
    /**
     * Retrieves the text associated with <i>value</i>.
     * 
     * @see com.ms.wfc.core.IValueEditor#getTextFromValue
     * 
     * @return the text associated with <i>value</i>.
     */
    public String getTextFromValue(Object value) {}

    
    private static class AnchorPicker extends Control {
        private ContainerPlaceholder container = new ContainerPlaceholder();
        private ControlPlaceholder control = new ControlPlaceholder();
        private SpringControl left = new SpringControl();
        private SpringControl right = new SpringControl();
        private SpringControl top = new SpringControl();
        private SpringControl bottom = new SpringControl();
        private SpringControl[] tabOrder = new SpringControl[] { left, top, right, bottom };
        private AnchorEditor editor = null;

        public AnchorPicker(AnchorEditor editor, int def) {}

        private void teardown() {}

        private void setValue() {}

        public int getSelectedAnchor() {}

        protected void onGotFocus(Event e) {}

        void initForm() {}


        
        private static class ContainerPlaceholder extends Control {
            public ContainerPlaceholder() {}

            protected void onPaint(PaintEvent e) {}
        }


        
        private static class ControlPlaceholder extends Control {
            public ControlPlaceholder() {}

            protected void onPaint(PaintEvent e) {}
        }


        
        private class SpringControl extends Control {
            boolean solid;
            boolean focused;

            public SpringControl() {}

            public boolean getSolid() {}

            protected void onGotFocus(Event e) {}

            protected void onKeyDown(KeyEvent e) {}

            protected void onLostFocus(Event e) {}

            protected void onMouseDown(MouseEvent e) {}

            protected void onPaint(PaintEvent e) {}

            public boolean processDialogChar(char charCode) {}

            public boolean processDialogKey(int keyData) {}

            public void setSolid(boolean value) {}

            protected void setFocused(boolean value) {}
        }
    }



    
    private static class Spring {
        final boolean top;
        final boolean left;
        final boolean bottom;
        final boolean right;
        final int anchor;

        Spring(int anchor, boolean top, boolean left, boolean bottom, boolean right) {}
    }

}