//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the autoSize  event of the Rebar object. 
 * Some of them will notify those who are interested about the change in
 * size.  They will send this event object.
 *
 * @security(checkClassLinking=on)
 */
public class AutoSizeEvent extends Event {

    /**
     * The rectangle this control will be sized to.
     */
    public final Rectangle newRectangle;

    /**
     * Creates a new AutoSizeEvent with a reference to the Rectangle that
     * this object will now ihabit.
     *
     * @param rect      The new area this object will inhabit.
     */
    public AutoSizeEvent(Rectangle rect) {}
}