//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * This enumeration is used by controls that expose the ability to change the
 * style of border they have.  This contains the basic border style that most
 * controls that let you change this work with.
 *
 * @security(checkClassLinking=on)
 */
public class BorderStyle extends Enum {

    /**
     * The associated Window will not have a Border at all
     */
    public static final int NONE = 0;

    /**
     * The associated Window will have a single line border.
     */
    public static final int FIXED_SINGLE = 1;

    /**
     * The associated Window will have a 3D line border.
     */
    public static final int FIXED_3D = 2;

    /**
     * Indicates whether the given value is valid or not
     */
    public static boolean valid(int value) {}
}