//STRIPPEDSOURCE//


package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.app.*;

/**
 * Provides data for the format  event of the DateTimePicker control. 
 *
 * @security(checkClassLinking=on)
 */
public class DateTimeFormatEvent extends Event {
    /**
     * Format string associated with the DateTimePicker.
     */
    public final String     format;
    /**
     * Time to display.
     */
    public final Time       time;
    /**
     * This value can be set to change what string is displayed to the 
     * user.
     */
    public String           display;
    
    public DateTimeFormatEvent(String format, Time time, String display) {}
}