//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*; 
import com.ms.wfc.app.*;

/**
 * Provides data for the wmKeyDown  event of the DateTimePicker control. 
 *
 * @security(checkClassLinking=on)
 */
public class DateTimeWmKeyDownEvent extends Event {
    /**
     * Keycode of the key that was pressed.
     */
    public final int        virtualKey;
    /**
     * Format string associated with the DateTimePicker.
     */
    public final String     format;
    /**
     * Time that the DateTimePicker should be set to.
     */
    public Time             time;

    public DateTimeWmKeyDownEvent(int virtualKey, String format, Time time) {}
}