//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;

/**
 * Encapsulates a two-dimensional array.
 *
 * @security(checkClassLinking=on)
 */
public class Dimensions implements IConstructable, IPersistable {
    public int rows = 1;
    public int columns = 1;

    /**
     * Create a new Dimensions object with rows and columns equal to 1.
     */
    public Dimensions() {}
    
    /**
     * Create a new Dimensions object given an existing Dimensions object.
     *
     * @param range Dimensions object.
     */
    public Dimensions(Dimensions range) {}    

    /**
     * Create a new Dimensions object with the given rows and columns.
     *
     * @param rows the number of rows
     * @param columns the number of columns
     */
    public Dimensions(int rows, int columns) {}

    public Dimensions(IDataStream stream) {}    

    /**
     * Retrieves a boolean value that indicates whether the specified object
     * is equivalent to this one. Returns true if obj refers to a Dimensions object with
     * the same values of rows and columns.
     * 
     * @param obj Object to compare to.
     * 
     * @return True if the objects are logically equivalent.
     */
    public boolean equals(Object obj) {}

    public String toString() {}    

    public ConstructorArg[] getConstructorArgs() {}
    
    public String getExtension() {}

    public void save(IDataStream stream) {}


    /**
     * Encapsulates a two-dimensional array.
     * @security(checkClassLinking=on)
     */
    public static class Editor extends ValueEditor {
        public int getStyle() {}        

        public String getTextFromValue(Object value) {}

        public Object getValueFromText(String text) {}
    }
}