//STRIPPEDSOURCE//


package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Design-time editor for Dock properties.
 * 
 * @see com.ms.wfc.core.IValueEditor
 * @internalonly
 *
 * @security(checkClassLinking=on)
 */
public class DockEditor extends ValueEditor {

    private IEditorHost editorHost;
    private IValueAccess valueaccess;

    /**
     * Creates a DockEditor.
     */
    public DockEditor() {}

    /**
     * Edits the value.
     * 
     * @see com.ms.wfc.core.IValueEditor#editValue
     */
    public void editValue(IValueAccess iva) {}
    
    /**
     * Retrieves the style of the editor.
     * 
     * @see com.ms.wfc.core.IValueEditor#editValue
     * 
     * @return the editor style.
     */
    public int getStyle() {}
    
    /**
     * Retrieves the constant associated with <i>value</i>.
     * 
     * @param value Value to retrieve constant for.
     * 
     * @see com.ms.wfc.core.IValueEditor#getConstantName
     * 
     * @return the constant associated with <i>value</i>.
     */
    public String getConstantName(Object value) {}
    
    /**
     * Retrieves the text associated with <i>value</i>.
     * 
     * @see com.ms.wfc.core.IValueEditor#getTextFromValue
     * 
     * @return the text associated with <i>value</i>.
     */
    public String getTextFromValue(Object value) {}

    
    private static class DockPicker extends Control {

        
        
        
        
        private ContainerPlaceholder container = new ContainerPlaceholder();
        private CheckBox fill = new CheckBox();
        private CheckBox left = new CheckBox();
        private CheckBox right = new CheckBox();
        private CheckBox top = new CheckBox();
        private CheckBox bottom = new CheckBox();
        private CheckBox none = new CheckBox();
        private CheckBox[] upDownOrder = { top, fill, bottom, none };
        private CheckBox[] leftRightOrder = { left, fill, right };
        private CheckBox[] tabOrder = { top, left, fill, right, bottom, none };
        private DockEditor editor = null;

        public DockPicker(DockEditor editor, int dock) {}

        private void teardown() {}

        private void onClick(Object sender, Event event) {}

        private void onKeyDown(Object sender, KeyEvent e) {}

        protected void onGotFocus(Event e) {}

        public int getDock(CheckBox btn) {}
        void initForm() {}


        
        private static class ContainerPlaceholder extends Control {
            public ContainerPlaceholder() {}

            protected void onPaint(PaintEvent e) {}
        }
    }
}