//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;


/**
 * Defines constants that specify the the effects of a drag-and-drop operation. 
 * @security(checkClassLinking=on)
 */
public class DragDropEffect extends Enum {

    public static final int NONE     = 0x00000000;
    public static final int COPY     = 0x00000001;
    public static final int MOVE     = 0x00000002;
    
    public static final int SCROLL   = 0x80000000;
    public static final int ALL = COPY | MOVE | SCROLL;

    public static boolean valid(int value) {}

}