//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.win32.*;


/**
 * This is a value editor for string-based filename fields.  Basically, it
 * will show a [...] button which will bring up a file dialog and let you
 * pick the filename that way.
 *
 * If you wish to write your own filename editor, you can either use this
 * class directly, or subclass it, and override the setFileDialogUI method
 * to cusomize the UI yourself.
 *
 * @security(checkClassLinking=on)
 */
public class FileNameEditor extends StringEditor {

    OpenFileDialog fileDialog = null;

    /**
     * @internalonly
     */
    public void editValue(IValueAccess valueAccess) {}

    /**
     * @internalonly
     */
    public int getStyle() {}

    /**
     * Configures the UI for the OpenFileDialog that this editor will show.
     * You should set the <i>title</i> and the <i>filter</i> for the dialog
     * at the very lease.
     *
     * @see com.ms.wfc.ui.OpenFileDialog
     */
    protected void setFileDialogUI(OpenFileDialog openFile) {}
}