//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines the palette modes supported by a WFC form on 256-color systems.
 * @security(checkClassLinking=on)
 */
public class FormPaletteMode extends Enum {

    /**
     * Indicates that a halftone palette should be used as the form's palette.
     */
    public static final int HALFTONE = 0;

    /**
     * Indicates that a control should be used as the palette source.
     */
    public static final int USE_CONTROL = 1;

    /**
     * Indicates that no palette should be used.
     */
    public static final int NONE = 2;

    /**
     * Retrieves a boolean
     * value that indicates whether a specified value designates a valid FormPaletteMode
     * constant. */
    public static boolean valid(int value) {}
}