//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.app.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;
import com.ms.dll.*;

/**
 * Encapsulates a group box control, which is a rectangle that contains other controls.   It's text is displayed in the upper left in the
 * frame.
 *
 * @security(checkClassLinking=on)
 */
public class GroupBox extends Control { 
    /**
     * Creates a new GroupBox.
     */
    public GroupBox() {}

    /**
     * Returns the parameters needed to create the handle.  Inheriting classes
     * can override this to provide extra functionality.  They should not,
     * however, forget to call super.getCreateParams() first to get the struct
     * filled up with the basic info.
     *
     * @return    a CreateParams object with all the info needed to create
     *            the control.
     *
     * @see com.ms.wfc.ui.CreateParams
     */
    protected CreateParams getCreateParams() {}

    /**
     * We use this to process mnemonics and send them on to the first child
     * control.
     * @internalonly
     */
    protected boolean processMnemonic(char charCode) {}

    /**
     * Returns a string representation for this control.
     *
     * @return String
     * @internalonly
     */
    public String toString() {}

    
    private void wmEraseBkgnd(Message m) {}

    /**
     * @internalonly
     */
    protected void wndProc(Message m) {}

    /**
     * Encapsulates a group box control, which is a rectangle that contains other controls. 
     * @see com.ms.wfc.core.ClassInfo
     *
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends Control.ClassInfo {

        
        
        
        public static final EventInfo mouseDown = new EventInfo(
            Control.ClassInfo.mouseDown, BrowsableAttribute.NO);

        public static final EventInfo mouseUp = new EventInfo(
            Control.ClassInfo.mouseUp, BrowsableAttribute.NO);

        public static final EventInfo mouseEnter = new EventInfo(
            Control.ClassInfo.mouseEnter, BrowsableAttribute.NO);

        public static final EventInfo mouseLeave = new EventInfo(
            Control.ClassInfo.mouseLeave, BrowsableAttribute.NO);

        public static final EventInfo mouseMove = new EventInfo(
            Control.ClassInfo.mouseMove, BrowsableAttribute.NO);

        public static final EventInfo click = new EventInfo(
            Control.ClassInfo.click, BrowsableAttribute.NO);

        public static final EventInfo doubleClick = new EventInfo(
            Control.ClassInfo.doubleClick, BrowsableAttribute.NO);

        public String getDefaultEventName() {}

        public String getDefaultPropertyName() {}

        public void getProperties(IProperties props) {}

        public void getEvents(IEvents events) {}
    }
}