//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;

/**
 * Provides data for the inputLangChange event of the Form control. 
 *
 * @security(checkClassLinking=on)
 */
public class InputLangChangeEvent extends Event {
    /**
     * The locale of the input language.
     */
    public final Locale locale;
    /**
     * The charSet associated with the new input language.
     */
    public final byte   charSet;

    public InputLangChangeEvent(Locale locale, byte charSet) {}
}