//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;

/**
 * Provides data for the inputLangChangeRequest event of the Form control. 
 *
 * @security(checkClassLinking=on)
 */
public class InputLangChangeRequestEvent extends Event {
    /**
     * The locale of the requested input langugage.
     */
    public final Locale locale;
    /**
     * Set to true if the system default font supports the character
     * set required for the requested input language.
     */
    public final boolean sysCharSet;
    /**
     * If set to false, the request will be denied and the input language
     * will not change.
     */
    public boolean acceptRequest;

    public InputLangChangeRequestEvent(Locale locale, boolean sysCharSet,
        boolean acceptRequest) {}
}