//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines the constants that specify how items are aligned in a list view control. 
 *
 * @security(checkClassLinking=on)
 */
public class ListViewAlignment extends Enum {

    /**
     * Specifies that items are aligned to the top of the list view control.
     */
    public static final int TOP = 0;

    /**
     * Specifies that items are aligned to the left of the list view control.
     */
    public static final int LEFT = 1;

    /**
     * Determines whether the specified value is one of the constants defined in this class. 
     */
    public static boolean valid(int value) {}
}