//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the measureItem  event of a ComboBox or ListBox control. 
 *
 * @security(checkClassLinking=on)
 */
public class MeasureItemEvent extends Event {
    
    /**
     * The index of item for which the height is needed.
     */
    public final int index;
    
    /**
     * Where the recipient of the event should put the height of the
     * item specified by the index.
     */
    public int itemHeight;

    public MeasureItemEvent(int index, int itemHeight) {}
}