//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the readyState event of the DhTable, DhImage,  DhDocument, DhInlineFrame, or DhObjectFactory object. 
 * @security(checkClassLinking=on)
 */
public class ReadyStateEvent extends Event {
    /**
     * Contains the state of the object firing the event.
     */
    public final String state;

    /**
     * Creates a new KeyEvent object.
     *
     * @param keyData The Win32 keycode information that comes from a Windows
     *                WM_KEYDOWN or WM_KEYUP message.  This data is only available
     *                for KeyDown and KeyUp events.
     *
     * @param keyChar The ASCII character of the key being pressed.  This data is
     *                 only available in the KeyPress event.
     */
    public ReadyStateEvent(String state) {}
                    
    /**
     * Creates a new KeyEvent object.
     *
     * @param extendedInfo  Additional information used for HTML events.
     * 
     * @param keyData The Win32 keycode information that comes from a Windows
     *                WM_KEYDOWN or WM_KEYUP message.  This data is only available
     *                for KeyDown and KeyUp events.
     *
     * @param keyChar The ASCII character of the key being pressed.  This data is
     *                 only available in the KeyPress event.
     */
    public ReadyStateEvent(Object extendedInfo, String state) {}
}