//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines constants that specify the appearance of the border for a panel on a status  bar. 
 *
 * @security(checkClassLinking=on)
 */
public class StatusBarPanelBorderStyle extends Enum {
    /**
     * Specifies that the status bar panel has no border.
     */
    public static final int NONE        = 1;

    /**
     * Specifies that the status bar panel has a three-dimensional raised border.
     */
    public static final int RAISED      = 2;

    /**
     * Specifies that the status bar panel has a three-dimensional sunken border.
     */
    public static final int SUNKEN      = 3;
    
    /**
     * Determines whether the specified value is one of the constants defined in this class. 
     */
    public static boolean valid(int value) {}
}