//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * The various tab controls will let you configure their appearance.  This
 * enumeration contains the possible values.
 *
 * @security(checkClassLinking=on)
 */
public class TabAppearance extends Enum {

    /** 
     * Indicates that the tabs look like normal tabs typically seen in Property
     * page type situations.
     */
    public static final int                 NORMAL = 0;

    /**
     * Indicates that the tabs look like buttons as seen on the taskbar found
     * in Windows 95 or Windows NT.
     */
    public static final int                 BUTTONS = 1;

    /**
     * Indicates that buttons should be draw flat instead of like regular 
     * windows pushbuttons.
     */
    public static final int                 FLAT_BUTTONS = 2;

    /**
     * Ensures that the given value is valid within this enumeration.
     */
    public static boolean valid(int value) {}
}