//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Controls how the text will be aligned in a ToolBar control.  It supports
 * alignment of text to the right of images, or directly underneath them.
 *
 * @security(checkClassLinking=on)
 */
public class ToolBarTextAlign extends Enum {

    /**
     * The text should be underneath the image
     */
    public static final int UNDERNEATH = 0;

    /**
     * The text will be to the right of the image.
     */
    public static final int RIGHT = 1;

    /**
     * makes sure the given value is valid for this enumeration.
     */
    public static boolean valid(int value) {}
}