//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;

/**
 * Encapsulates a scroll bar that is always oriented vertically.   Everything else is the same as
 * for the ScrollBar class
 * 
 * @see com.ms.wfc.ui.ScrollBar
 *
 * @security(checkClassLinking=on)
 */
public class VScrollBar extends ScrollBar { 

    /**
     * Creates a new ScrollBar that aligns itself vertically all the
     * time.
     */
    public VScrollBar() {}

    /**
     * @internalonly
     */
    protected CreateParams getCreateParams() {}

    /**
     * Encapsulates a scroll bar that is always oriented vertically. 
     * @see com.ms.wfc.core.ClassInfo
     *
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends ScrollBar.ClassInfo {
    }
}