//STRIPPEDSOURCE//

package com.ms.wfc.util;

import com.ms.wfc.core.*;

/**
 * Represents an exception indicating that there are no more elements to enumerate.
 *
 * @security(checkClassLinking=on)
 */
public class EmptyEnumeratorException extends WFCException {
    
    /**
     * Creates a new EmptyEnumeratorException. This will have a
     * default localized message.
     */
    public EmptyEnumeratorException() {}

    /**
     * Creates a new EmptyEnumeratorException. This will have the
     * specified message.
     * 
     * @param <s> Message to display with this exception.
     */
    public EmptyEnumeratorException(String s) {}
}