//STRIPPEDSOURCE//

package com.ms.wfc.util;

import com.ms.wfc.app.*;
import com.ms.wfc.io.*;
import com.ms.wfc.core.*;


/**
 * @security(checkClassLinking=on)
 */
public abstract class StaticResourceManager implements IResourceLoader
{
    private static final String READ_OBJECT_WHILE_LOADING = "Attempt to read object while loading runtimes";
    private ResourceManager runtime = null;
    private ResourceManager designtime = null;
    private boolean creating = false;

    protected StaticResourceManager() {}

    public IDataStream getResource(String name) {}

    protected abstract String getResourceBaseName();
    protected String getDesignTimeResourceBaseName() {}

    public String readString(String name, String arg1) {}
    public String readString(Locale locale, String name, String arg1) {}
    public String readString(String name, String arg1, String arg2) {}
    public String readString(Locale locale, String name, String arg1, String arg2) {}
    public String readString(String name, String arg1, String arg2, String arg3) {}
    public String readString(Locale locale, String name, String arg1, String arg2, String arg3) {}
    public String readString(String name, String arg1, String arg2, String arg3, String arg4) {}
    public String readString(Locale locale, String name, String arg1, String arg2, String arg3, String arg4) {}
    public String readString(String name, String arg1, String arg2, String arg3, String arg4, String arg5) {}
    public String readString(Locale locale, String name, String arg1, String arg2, String arg3, String arg4, String arg5) {}
    public String readString(String name, String[] args) {}
    public String readString(Locale locale, String name, String[] args) {}

    public String readString(String name) {}
    public String readString(Locale locale, String name) {}
    public boolean readBoolean(String name) {}
    public boolean readBoolean(Locale locale, String name) {}
    public char readChar(String name) {}
    public char readChar(Locale locale, String name) {}
    public byte readByte(String name) {}
    public byte readByte(Locale locale, String name) {}
    public short readShort(String name) {}
    public short readShort(Locale locale, String name) {}
    public int readInt(String name) {}
    public int readInt(Locale locale, String name) {}
    public long readLong(String name) {}
    public long readLong(Locale locale, String name) {}
    public float readFloat(String name) {}
    public float readFloat(Locale locale, String name) {}
    public double readDouble(String name) {}
    public double readDouble(Locale locale, String name) {}
    public Object readObject(String name) {}
    public Object readObject(Locale locale, String name) {}
}