//STRIPPEDSOURCE//

package com.ms.wfc.app;

import com.ms.wfc.core.*;

/**
 * Implements a ThreadExceptionEvent object.   This event object is created
 * by a thread when it has encountered an unhandled exception.
 *
 * @security(checkClassLinking=on)
 */
public class ThreadExceptionEvent extends Event {
    
    /**
     * The exception that has occurred.
     */
    public Throwable exception;

    /**
     * Creates a new ThreadExceptionEvent object
     * 
     * @param t The exception that has occurred.
     */
    public ThreadExceptionEvent(Throwable t) {}
}