//STRIPPEDSOURCE//
package com.ms.wfc.ax;



import com.ms.wfc.win32.Windows;
import com.ms.com.*;


/**
 * @security(checkClassLinking=on)
 */
public class ActiveX {

    public static final int OCM__BASE       =    Windows.WM_REFLECT;

    public static final int DISPID_AUTOSIZE                 = -500;
    public static final int DISPID_BACKCOLOR                = -501;
    public static final int DISPID_BACKSTYLE                = -502;
    public static final int DISPID_BORDERCOLOR              = -503;
    public static final int DISPID_BORDERSTYLE              = -504;
    public static final int DISPID_BORDERWIDTH              = -505;
    public static final int DISPID_DRAWMODE                 = -507;
    public static final int DISPID_DRAWSTYLE                = -508;
    public static final int DISPID_DRAWWIDTH                = -509;
    public static final int DISPID_FILLCOLOR                = -510;
    public static final int DISPID_FILLSTYLE                = -511;
    public static final int DISPID_FONT                     = -512;
    public static final int DISPID_FORECOLOR                = -513;
    public static final int DISPID_ENABLED                  = -514;
    public static final int DISPID_HWND                     = -515;
    public static final int DISPID_TABSTOP                  = -516;
    public static final int DISPID_TEXT                     = -517;
    public static final int DISPID_CAPTION                  = -518;
    public static final int DISPID_BORDERVISIBLE            = -519;
    public static final int DISPID_APPEARANCE               = -520;
    public static final int DISPID_MOUSEPOINTER             = -521;
    public static final int DISPID_MOUSEICON                = -522;
    public static final int DISPID_PICTURE                  = -523;
    public static final int DISPID_VALID                    = -524;
    public static final int DISPID_READYSTATE               = -525;
    
    public static final int DISPID_REFRESH                  = -550;
    public static final int DISPID_DOCLICK                  = -551;
    public static final int DISPID_ABOUTBOX                 = -552;
    
    public static final int DISPID_CLICK                    = -600;
    public static final int DISPID_DBLCLICK                 = -601;
    public static final int DISPID_KEYDOWN                  = -602;
    public static final int DISPID_KEYPRESS                 = -603;
    public static final int DISPID_KEYUP                    = -604;
    public static final int DISPID_MOUSEDOWN                = -605;
    public static final int DISPID_MOUSEMOVE                = -606;
    public static final int DISPID_MOUSEUP                  = -607;
    public static final int DISPID_ERROREVENT               = -608;
    public static final int DISPID_READYSTATECHANGE         = -609;
    
    public static final int DISPID_AMBIENT_BACKCOLOR        = -701;
    public static final int DISPID_AMBIENT_DISPLAYNAME      = -702;
    public static final int DISPID_AMBIENT_FONT             = -703;
    public static final int DISPID_AMBIENT_FORECOLOR        = -704;
    public static final int DISPID_AMBIENT_LOCALEID         = -705;
    public static final int DISPID_AMBIENT_MESSAGEREFLECT   = -706;
    public static final int DISPID_AMBIENT_SCALEUNITS       = -707;
    public static final int DISPID_AMBIENT_TEXTALIGN        = -708;
    public static final int DISPID_AMBIENT_USERMODE         = -709;
    public static final int DISPID_AMBIENT_UIDEAD           = -710;
    public static final int DISPID_AMBIENT_SHOWGRABHANDLES  = -711;
    public static final int DISPID_AMBIENT_SHOWHATCHING     = -712;
    public static final int DISPID_AMBIENT_DISPLAYASDEFAULT = -713;
    public static final int DISPID_AMBIENT_SUPPORTSMNEMONICS = -714;
    public static final int DISPID_AMBIENT_AUTOCLIP         = -715;
    public static final int DISPID_AMBIENT_APPEARANCE       = -716;
    public static final int DISPID_AMBIENT_PALETTE          = -726;
    public static final int DISPID_AMBIENT_TRANSFERPRIORITY = -728;
    
    public static final int DISPID_Name                     = -800;
    public static final int DISPID_Delete                   = -801;
    public static final int DISPID_Object                   = -802;
    public static final int DISPID_Parent                   = -803;

    public static final int     DVASPECT_CONTENT        = 1;
    public static final int     DVASPECT_THUMBNAIL      = 2;
    public static final int     DVASPECT_ICON         = 4;
    public static final int     DVASPECT_DOCPRINT       = 8;

    public static final int  OLEMISC_RECOMPOSEONRESIZE = 0x1;
    public static final int  OLEMISC_ONLYICONIC = 0x2;
    public static final int  OLEMISC_INSERTNOTREPLACE = 0x4;
    public static final int  OLEMISC_STATIC = 0x8;
    public static final int  OLEMISC_CANTLINKINSIDE = 0x10;
    public static final int  OLEMISC_CANLINKBYOLE1 = 0x20;
    public static final int  OLEMISC_ISLINKOBJECT = 0x40;
    public static final int  OLEMISC_INSIDEOUT = 0x80;
    public static final int  OLEMISC_ACTIVATEWHENVISIBLE = 0x100;
    public static final int  OLEMISC_RENDERINGISDEVICEINDEPENDENT = 0x200;
    public static final int  OLEMISC_INVISIBLEATRUNTIME = 0x400;
    public static final int  OLEMISC_ALWAYSRUN = 0x800;
    public static final int  OLEMISC_ACTSLIKEBUTTON = 0x1000;
    public static final int  OLEMISC_ACTSLIKELABEL = 0x2000;
    public static final int  OLEMISC_NOUIACTIVATE = 0x4000;
    public static final int  OLEMISC_ALIGNABLE = 0x8000;
    public static final int  OLEMISC_SIMPLEFRAME = 0x10000;
    public static final int  OLEMISC_SETCLIENTSITEFIRST = 0x20000;
    public static final int  OLEMISC_IMEMODE = 0x40000;
    public static final int  OLEMISC_IGNOREACTIVATEWHENVISIBLE = 0x80000;
    public static final int  OLEMISC_WANTSTOMENUMERGE = 0x100000;
    public static final int  OLEMISC_SUPPORTSMULTILEVELUNDO = 0x200000;

    public static final int          QACONTAINER_SHOWHATCHING      = 0x0001;
    public static final int          QACONTAINER_SHOWGRABHANDLES   = 0x0002;
    public static final int          QACONTAINER_USERMODE          = 0x0004;
    public static final int          QACONTAINER_DISPLAYASDEFAULT  = 0x0008;
    public static final int          QACONTAINER_UIDEAD            = 0x0010;
    public static final int          QACONTAINER_AUTOCLIP          = 0x0020;
    public static final int          QACONTAINER_MESSAGEREFLECT    = 0x0040;
    public static final int          QACONTAINER_SUPPORTSMNEMONICS = 0x0080;

    public static final int        XFORMCOORDS_POSITION            = 0x1;
    public static final int        XFORMCOORDS_SIZE                = 0x2;
    public static final int        XFORMCOORDS_HIMETRICTOCONTAINER = 0x4;
    public static final int        XFORMCOORDS_CONTAINERTOHIMETRIC = 0x8;

    
    public static final int PROPCAT_Nil = -1;
    public static final int PROPCAT_Misc = -2;
    public static final int PROPCAT_Font = -3;
    public static final int PROPCAT_Position = -4;
    public static final int PROPCAT_Appearance = -5;
    public static final int PROPCAT_Behavior = -6;
    public static final int PROPCAT_Data = -7;
    public static final int PROPCAT_List = -8;
    public static final int PROPCAT_Text = -9;
    public static final int PROPCAT_Scale = -10;
    public static final int PROPCAT_DDE = -11;

    public static final int GC_WCH_SIBLING	= 0x00000001;
    public static final int GC_WCH_CONTAINER    = 0x00000002;   
    public static final int GC_WCH_CONTAINED    = 0x00000003;   
    public static final int GC_WCH_ALL	        = 0x00000004;
    public static final int GC_WCH_FREVERSEDIR  = 0x08000000;   
    public static final int GC_WCH_FONLYNEXT    = 0x10000000;   
    public static final int GC_WCH_FONLYPREV    = 0x20000000;   
    public static final int GC_WCH_FSELECTED    = 0x40000000;   
    
    public static final int     OLECONTF_EMBEDDINGS = 1;
    public static final int     OLECONTF_LINKS = 2;
    public static final int     OLECONTF_OTHERS = 4;
    public static final int     OLECONTF_ONLYUSER = 8; 
    public static final int     OLECONTF_ONLYIFRUNNING = 16;

    public static final int ALIGN_MIN       = 0;
    public static final int ALIGN_NO_CHANGE = 0;               
    public static final int ALIGN_TOP       = 1;
    public static final int ALIGN_BOTTOM    = 2;
    public static final int ALIGN_LEFT      = 3;
    public static final int ALIGN_RIGHT     = 4;
    public static final int ALIGN_MAX       = 4;

    public static final int OLEVERBATTRIB_NEVERDIRTIES = 1;
    public static final int OLEVERBATTRIB_ONCONTAINERMENU = 2;


    public static final int OLECLOSE_SAVEIFDIRTY = 0;
    public static final int OLECLOSE_NOSAVE = 1;
    public static final int OLECLOSE_PROMPTSAVE = 2;

    public static final _Guid IIDIUnknown = new _Guid("{00000000-0000-0000-C000-000000000046}");

}