//STRIPPEDSOURCE//
package com.ms.wfc.core;

import com.ms.wfc.io.*;


/**
 * Represents a container for components. 
 * @security(checkClassLinking=on)
 */
public class Container implements IContainer
{
    Site[] sites;
    int siteCount;
    boolean disposing;

    public Container() {}

    public void add(IComponent component) {}

    public synchronized void add(IComponent component, String name) {}

    
    void checkName(String name) {}
    
    public synchronized void dispose() {}

    public synchronized IComponent getComponent(String name) {}

    public synchronized IComponent[] getComponents() {}

    public synchronized void remove(IComponent component) {}


    
    class Site implements IComponentSite
    {
        IComponent component;
        String name;

        Site(IComponent component, String name) {}

        public void componentChanged() {}

        public IComponent getComponent() {}

        public IContainer getContainer() {}

        public String getName() {}

        public Object getService(Class service) {}

        public boolean getDesignMode() {}

        public boolean getDisposing(){}

        public void setName(String value) {}
    }
}