//STRIPPEDSOURCE//

package com.ms.wfc.core;

import com.ms.wfc.util.*;
import java.lang.reflect.*;

/**
 * FieldsEditor is an editor that can enumerate possible values by going
 * through the public static final fields of a given class and find all elements
 * of a given type. Enum.Editor extends this.
 * 
 * @see IValueEditor
 * @see Enum.Editor
 *
 * @security(checkClassLinking=on)
 */
public class FieldsEditor extends ValueEditor
{
    /**
     * These are the modifiers of a field that FieldsEditor looks for.
     */
    protected static final int MODIFIERS = Modifier.PUBLIC | Modifier.STATIC | Modifier.FINAL;

    Class fieldClass;
    Class valueClass;
    String[] names;
    String[] texts;
    Object[] values;
    String prefix;
    int prefixLen;

    public FieldsEditor(Class fieldClass, Class valueClass, String prefix)
    {}

    synchronized void findFields()
    {}

    public String getConstantName(Object value)
    {}

    Field getField(String name)
    {}

    synchronized String getNameFromValue(Object value)
    {}

    public int getStyle()
    {}

    String getTextFromName(String name)
    {}

    public synchronized String getTextFromValue(Object value)
    {}

    public synchronized Object getValueFromText(String text)
    {}

    public synchronized Object[] getValues()
    {}
}