//STRIPPEDSOURCE//

package com.ms.wfc.core;

import com.ms.wfc.util.*;

/**
 * NonEditableReferenceEditor is an editor that displays the name of a component.
 * Other references can not be substituted.
 * 
 * @see IValueEditor
 * @see IContainer
 * @see IComponent
 *
 * @security(checkClassLinking=on)
 */
public class NonEditableReferenceEditor extends ReferenceEditor {

    /**
     * Constructs a NonEditableReferenceEditor.  The site contains the hosting component
     * and the type to look for.
     * 
     * @param site
     */
    public NonEditableReferenceEditor(IEditorSite site) {}

    /**
     * @internalonly
     */
    public int getStyle() {}


}