//STRIPPEDSOURCE//

package com.ms.wfc.core;

/**
 * Provides data for the verbExecute event. 
 *
 * @security(checkClassLinking=on)
 */
public final class VerbExecuteEvent extends Event {
	/**
	 * User defined data associated with the verb that was executed.
	 */
    public final Object data;

	/**
	 * Creates a new VerbExecuteEvent.
	 * 
	 * @param data User defined data associated with the verb that was executed.
	 */
    public VerbExecuteEvent(Object data) {}
}