//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.dll.*;
import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;


final class CellDisplayer {

    private static final int    PEN_SELECTEDBACK = 0;
    private static final int    PEN_SELECTEDFORE = 1;
    private static final int    PEN_BACK = 2;
    private static final int    PEN_FORE = 3;

    private Pen                 framePen = null;
    private Pen[]               penCache = new Pen[4];
    private boolean             mouseOver = false;
    private boolean             focus = false;
    private boolean             selected = false;
    private boolean             wrap = false;
    private Column              column = null;
    private int                 textFormat = 0;
    private Color               foreColor = null;
    private Color               backColor = null;
    private Font                font = null;

    /**
     * @internalonly
     *
     * Protected constructor to prevent creation outside of the package.
     */
    protected CellDisplayer(Column column) {}

    /**
     * Clears the cache of pens.
     */
    public void clearColorCache() {}

    /**
     * Returns the color that will be used to draw the background of selected
     * cells.
     *
     * @return Current value of the SelectedBackColor property.
     *
     * @see #setSelectedBackColor
     */
    public Color getSelectedBackColor() {}

    /**
     * Returns the color that will be used to draw the foreground of selected
     * cells.
     *
     * @return Current value of the SelectedForeColor property.
     *
     * @see #setSelectedForeColor
     */
    public Color getSelectedForeColor() {}

    public int getAlignment() {}

    public Color getBackColor() {}
    public Color getForeColor() {}
    public Font getFont() {}

    public boolean getHasFocus() {}
    public boolean getMouseOver() {}
    public boolean getSelected() {}

    public boolean getWrap() {}
    
    public void paintIn(Graphics g, Rectangle bounds, Rectangle clipRect, String str) {}
    

    private void setPen(int pen) {}

    private void setColors() {}

    public void setColumn(Column column) {}

    public void setHasFocus(boolean focus) {}

    public void setMouseOver(boolean over) {}

    public void setSelected(boolean selected) {}

    public void setWrap(boolean wrap) {}

}