//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.dll.*;
import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;


final class ColumnHeaderDisplayer {
    private boolean     mouseOver = false;
    private String      caption = "";
    private Font        font = null;
    private boolean     wrap = false;
    private RECT        rect = new RECT();
    private Color       backColor = Color.CONTROL;
    private Color       foreColor = Color.CONTROLTEXT;
    private int         textFormat = TextFormat.ENDELLIPSIS;

    /**
     * @internalonly
     *
     * Creates a new ColumnHeaderDisplayer
     */
    protected ColumnHeaderDisplayer() {}

    /**
     * Returns the caption of the column header.
     *
     * @return Caption of the column header.
     */
    public String getCaption() {}

    /**
     * Returns the font that will be used to render the header.
     *
     * @return Current value of the Font property.
     */
    public Font getFont() {}

    /**
     * Returns whether or not the caption will be wrapped.
     *
     * @return Current value of the Wrap property.
     */
    public boolean getWrap() {}

    /**
     * Returns whether or not the header will be drawn "hot"
     *
     * @return Current value of the MouseOver property.
     */
    public boolean getMouseOver() {}

    /**
     * Paint function.
     *
     * @param g Graphics to draw on
     * @param bounds Bounds to draw inside
     * @param clipRect Clipping region to draw in
     * @param str Caption to draw. If null, then the value of the caption
     *        property is displayed.
     */
    public void paintIn(Graphics g, Rectangle bounds, Rectangle clipRect, String str) {}

    /**
     * Sets the caption of the column header.
     *
     * @param caption New value for the Caption property.
     */
    public void setCaption(String caption) {}

    /**
     * Sets the font that will be used to draw the header.
     *
     * @param font New value for the Font property.
     */
    public void setFont(Font font) {}

    /**
     * When set to true, the header will be drawn "hot".
     *
     * @param over New value for the MouseOver property.
     */
    public void setMouseOver(boolean over) {}

    /**
     * When set to true, the header caption is wrapped onto multiple lines
     *
     * @param wrap New value for the Wrap property.
     */
    public void setWrap(boolean wrap) {}
}