//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.dll.*;
import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;
import com.ms.lang.Delegate;


final class DataGridTextEditor extends Edit implements ICellEditor {

    public Control m_parent = null;

    /**
     * Creates a new instance of the DataGridTextEditor
     */
    public DataGridTextEditor() {}

    /**
     * Returns the current value of the editor.
     * 
     * @return Value of the editor
     *
     * @see ICellEditor
     */
    public String getValue() {}

    /**
     * Hides the editor.
     *
     * @see ICellEditor
     */
    public void hideEditor() {}

    /**
     * Returns false, indicating that this is not a dialog based editor.
     *
     * @return false
     *
     * @see ICellEditor
     */
    public boolean getEditorDialog() {}

    /**
     * The basic logic is that home and end are always used. Left and right
     * are used only if the carot is not at the edge.
     *
     * @return True if the editor uses the key, false otherwise.
     * 
     * @see ICellEditor
     */
    public boolean getKeyUsedByEditor(int nKeyCode) {}

    /**
     * Sets the value of the editor.
     *
     * @param value Value to display in the editor
     *
     * @see ICellEditor
     */
    public void setValue(String value) {}

    /**
     * Sets the visual bounds of the editor.
     *
     * @param visualBounds Visual bounds of the editor.
     *
     * @see ICellEditor
     */
    public void setVisualBounds(Rectangle visualBounds) {}

    /**
     * Shows the editor.
     *
     * @param parent Control to parent the editor to.
     * @param visualBounds Bounds for the editor.
     * @param value Value to display in the editor.
     *
     * @see ICellEditor
     */
    public void showEditor(Control parent,
                           Rectangle visualBounds,
                           String value) {}
}