//STRIPPEDSOURCE//

package com.ms.wfc.data.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;
import com.ms.wfc.data.*;
import com.ms.lang.Delegate;


/**
 * Allows the user to change the current record in an ADO recordset. 
 * @security(checkClassLinking=on)
 */
public class DataNavigator extends Control {
    private RecordsetProvider provider = new RecordsetProvider();
    private Recordset       recordset = null;
    private HotButton       first = new HotButton();
    private HotButton       previous = new HotButton();
    private HotButton       next = new HotButton();
    private HotButton       last = new HotButton();
    private Panel           label = new DrawPanel();
    private static final int    BUTTON_WIDTH = 20;


    
    private static class DrawPanel extends Panel {
        public DrawPanel() {}
    }

    public DataNavigator() {}

    private final void acquireRowset(Object sender, Event event) {}

    public final String getDataMember() {}

    public final IDataSource getDataSource() {}

    protected CreateParams getCreateParams() {}

    private void onLabelResize(Object sender, Event e) {}

    private void onLabelPaint(Object sender, PaintEvent e) {}

    /**
     * Moves the underlying recordset to the first record.
     *
     * @param recordset Recordset to move
     */
    protected void moveFirst(Recordset recordset) {}

    /**
     * Moves the underlying recordset to the last record.
     *
     * @param recordset Recordset to move
     */
    protected void moveLast(Recordset recordset) {}

    /**
     * Moves the underlying recordset to the next record. This function will automatically
     * restore the current position if moveNext would place the recordset on
     * EOF.
     *
     * @param recordset Recordset to move
     */
    protected void moveNext(Recordset recordset) {}

    /**
     * Moves the underlying recordset to the previous record. This function will automatically
     * restore the current position if movePrevious would place the recordset on
     * BOF.
     *
     * @param recordset Recordset to move
     */
    protected void movePrevious(Recordset recordset) {}

    
    private void onFirst(Object sender, Event e) {}

    
    private void onLast(Object sender, Event e) {}

    
    private void onNext(Object sender, Event e) {}

    
    private void onPrevious(Object sender, Event e) {}

    protected void propertyChanged(int property) {}

    private final void releaseRowset(Object sender, Event event) {}

    public void setDataMember(String dataMember) {}

    public void setDataSource(IDataSource dataSource) {}


    private void setButtonEnabled(boolean enabled) {}

    /**
     * Returns a string representation for this control.
     *
     * @return String
     * @internalonly
     */
    public String toString() {}

    protected void wndProc(Message msg) {}

    /**
     * Allows the user to change the current record in an ADO recordset. 
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends Control.ClassInfo {
        public static final PropertyInfo dataMember = new PropertyInfo(
            DataNavigator.class, "dataMember", String.class,
            DefaultValueAttribute.NULL,
            new DescriptionAttribute(Sys.getString("DataGridNavigatorDataMember")));

        public static final PropertyInfo dataSource = new PropertyInfo(
            DataNavigator.class, "dataSource", IDataSource.class, 
            DefaultValueAttribute.NULL,
            new DescriptionAttribute(Sys.getString("DataGridNavigatorDataSource")));

        public static final PropertyInfo backColor = new PropertyInfo(
            Control.ClassInfo.backColor,
            new DefaultValueAttribute(Color.WINDOW));

        public static final PropertyInfo foreColor = new PropertyInfo(
            Control.ClassInfo.foreColor,
            new DefaultValueAttribute(Color.WINDOWTEXT));

        public void getProperties(IProperties iprop) {}

        public ICustomizer getCustomizer(Object obj) {}
    };


    /**
     * Allows the user to change the current record in an ADO recordset. 
     * @security(checkClassLinking=on)
     */
    public class Customizer extends com.ms.wfc.core.Customizer {
        public boolean getHitTest(Point pt) {}
    }
}