//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;


final class GridLineDisplayer {
    public static final int GL_SINGLELINE = 0x00000001;
    public static final int GL_3DLINE     = 0x00000002;
    public static final int GL_NONE       = 0x00000004;
    public static final int GL_SUNKEN     = 0x00000010;
    public static final int GL_RAISED     = 0x00000020;

    private int         m_lineStyle = (GL_SINGLELINE);

    /**
     * @internalonly
     *
     * Protected constructor to prevent creation outside of the DataGrid
     */
    protected GridLineDisplayer() {}

    /**
     * @internalonly
     *
     * Returns the height of the gridlines
     */
    protected int getLineHeight() {}

    /**
     * @internalonly
     *
     * Returns the current style of the gridlines
     */
    protected int getLineStyle() {}

    /**
     * @internalonly
     *
     * Returns the width of the gridlines
     */
    protected int getLineWidth() {}

    /**
     * @internalonly
     *
     * Performs the actual paint.
     */
    protected void paintIn(Graphics g, Rectangle bounds, Rectangle clipRect, DataGrid grid) {}

    /**
     * @internalonly
     *
     * Sets the line style.
     */
    protected void setLineStyle(int style) {}
}