//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the positionChange  event of the DataGrid control. 
 * @security(checkClassLinking=on)
 */
public class PositionChangeEvent extends Event {

    /**
     * Specifies the zero-based index of the column that was current before the position
     * changed. */
    public int lastColumn = -1;
    /**
     * Specifies the bookmark associated with the row that was current before the position
     * changed. */
    public Object lastRow = null;

    /**
     * Creates a new PositionChangeEvent object.
     *
     * @param lastColumn Previous current column
     * @param lastRow Previous current row
     */
    public PositionChangeEvent(int lastColumn, Object lastRow) {}
}