//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;


final class RowSelectorDisplayer {

    private boolean         m_current = false;
    private boolean         m_new = false;
    private boolean         m_edit = false;
    private Bitmap          m_newGlyph = null;
    private Bitmap          m_editGlyph = null;
    private Bitmap          m_currentGlyph = null;
    private Bitmap          m_glyph = null;
    private ImageDisplayer  m_imageDisplayer = new ImageDisplayer();
    private int             m_height = 8;
    private int             m_width = 8;
    private boolean         m_mouseOver = false;
    private Brush           m_controlBrush = new Brush(Color.CONTROL);
    private RECT            m_rect = new RECT();

    /**
     * @internalonly
     *
     * Creates a new instance of the RowSelectorDisplayer.
     */
    protected RowSelectorDisplayer() {}

    /**
     * Returns the current value of the CurrentRow property.
     *
     * @return Current value of the CurrentRow property.
     *
     * @see #setCurrentRow
     */
    public boolean getCurrentRow() {}

    /**
     * Returns the current value of the NewRow property.
     *
     * @return Current value of the NewRow property.
     *
     * @see #setNewRow
     */
    public boolean getNewRow() {}

    /**
     * Returns the current value of the EditRow property.
     *
     * @return Current value of the EditRow property.
     *
     * @see #setEditRow
     */
    public boolean getEditRow() {}

    /**
     * RowSelectorDisplayer paintIn function.
     *
     * @param graphics Graphics object to draw on
     * @param bounds Bounds to draw inside of
     * @param clipRect current Clipping region
     */
    public void paintIn(Graphics graphics, Rectangle bounds, Rectangle clipRect) {}

    /**
     * Sets the state of the current row glyph. Only one of the glyphs can be
     * displayed at one time.
     *
     * @param current New value for the CurrentRow property.
     *
     * @see #isCurrentRow
     */
    public void setCurrentRow(boolean current) {}

    /**
     * Sets the state of the edit row glyph. Only one of the glyphs can be
     * displayed at one time.
     *
     * @param current New value for the EditRow property.
     *
     * @see #isEditRow
     */
    public void setEditRow(boolean bIsEdit) {}

    /**
     * Sets the state of the new row glyph. Only one of the glyphs can be
     * displayed at one time.
     *
     * @param current New value for the NewRow property.
     *
     * @see #isNewRow
     */
    public void setNewRow(boolean bIsNew) {}

    /**
     * Sets the dimensions that the row selector will be drawn in. This allows the
     * displayer to cache data, since the size of the resulting image is fixed.
     *
     * @param width Width of the row selector
     * @param height Height of the row selector
     */
    public void setSize(int width, int height) {}

    private void onSettingChange(Object sender, Event event) {}

    
    private void updateGlyph() {}
}