//STRIPPEDSOURCE//


package com.ms.wfc.data.ui;

import com.ms.wfc.core.*;


/**
 * Defines the constants that specify which scroll bars are displayed in a DataGrid control. 
 * @security(checkClassLinking=on)
 */
public class Scrollbars extends Enum {
    /**
     * Specifies that no scroll bars are displayed.
     */
    public static final int NONE = 0;
    /**
     * Specifies that only the vertical scroll bar is displayed.
     */
    public static final int VERTICAL = 1;
    /**
     * Specifies that only the horizontal scroll bar is displayed.
     */
    public static final int HORIZONTAL = 2;
    /**
     * Specifies that both the vertical and horizontal scroll bars are displayed.
     */
    public static final int BOTH = VERTICAL | HORIZONTAL;
}