//STRIPPEDSOURCE//
package com.ms.wfc.html;

import com.ms.wfc.html.om.IHTMLInputButtonElement;

import com.ms.wfc.core.*;

/**
 * Implements an HTML push button control.   Can be used inside or outside of HTTP forms.
 *
 * *
 * * @security(checkClassLinking=on)
 * */
public class DhButton extends DhButtonBase { 
    /**
     * Default ctor.  Creates button with default text caption of "button"
     *
     */
    public DhButton() {}

    /**
     * Ctor that creates a button with caption specified
     * 
     * @param strText The new button's caption
     */
    public DhButton( String strText ) {}
    
    /**    
     *@internalonly
     */
    protected int buttonType(){}

    /** 
     * Sets the button's text label. 
     * @param strText The new caption label.
     */
    public void setText( String strText ) {}

    /**
     * Retrieves the label from the button. 
     * @param The current caption String.
     */
    public String getText() {}
   
    /**
     * Implements an HTML push button control. 
     * @hidden
     * @internalonly
     *
     * @security(checkClassLinking=on)
     */        
        public static class ClassInfo extends DhButtonBase.ClassInfo {
            public void getProperties(IProperties props) {}
        }
}