//STRIPPEDSOURCE//

package com.ms.wfc.html;

import com.ms.wfc.ui.*;
import com.ms.wfc.html.om.*;
import com.ms.wfc.core.*;


/**
 * Wraps a Windows Foundation Classes for Java (WFC) control so that it is accessible from  the HTML document. 
 * @security(checkClassLinking=on)
 */
public class DhComponentWrapper extends DhObjectFactory {
    private Control m_control;
    private boolean m_fEmbed;
    private EventHandler m_onmove = new EventHandler( this, "onMoveOrSize" );
    private boolean m_inSetControl = false;

    /**
     * Constructs an empty DhComponentWrapper.
     */
    public DhComponentWrapper() {}

    /**
     * Constructs a DhComponentWrapper and adds the given control to the HTML document.
     * 
     * @param  c        The WFC control that should be added to the document.
     * @param  fEmbed   Embedded into the document or activated as a top-level window.
     */
    public DhComponentWrapper( Control c, boolean fEmbed ) {}

    /**
     * Sets the control to be wrapped as an element in the HTML document. 
     * 
     * @param  c        The WFC control that should be added to the document.
     * @param  fEmbed   Embedded into the document or activated as a top-level window.
     */
    public void setControl( Control c, boolean fEmbed ) {}

    private void onDocClose( Object sender, Event e ) {}

    /**
     * Retrieves the control wrapped by this element. 
     * 
     * @return  The control wrapped by this element.
     */
    public Control getControl() {}

    /**
     * @hidden
     * @internalonly
     * 
     * This method corrects the size of the control and the HTML wrapper.
     */
    public void checkSize() {}

    private void onMoveOrSize( Object source, Event h ) {}

    /**
     * @hidden
     * @internalonly
     * 
     * Finalizes this element.
     */
    protected void finalize() {}

    /**
     * @hidden
     * @internalonly
     * 
     * Transitions this element into the given state.
     */
    protected void transitionTo( int state ) {}

    /**
     * @hidden
     * @internalonly
     * 
     * Returns the interface of the Shim object.
     */
    protected IJCtlShim getShim() {}

    /**
    * Wraps a Windows Foundation Classes for Java (WFC) control so that it is accessible from  the HTML document. 
    * @hidden
    * @internalonly
    *
    * @security(checkClassLinking=on)
    */        
    public static class ClassInfo extends DhObjectFactory.ClassInfo {
    }
}