//STRIPPEDSOURCE//
package com.ms.wfc.html;


/**
 * Represents an information class for dialog boxes. 
 * @security(checkClassLinking=on)
 */
public class DhDialogInfo extends DhStyleBase
{
        /** 
        * Add/remove a Help button to the dialog's title bar.
        * Used by <a href="#DhWindow.showModalDialog()">DhWindow.showModalDialog()</a>.
        */
        public boolean showHelpButton;
        /** 
        * Add/remove a Minimize button to the dialog's title bar.
        * Used by <a href="#DhWindow.showModalDialog()">DhWindow.showModalDialog()</a>.
        */
        public boolean showMinimizeButton;
        /** 
        * Add/remove a Maximize button to the dialog's title bar.
        * Used by <a href="#DhWindow.showModalDialog()">DhWindow.showModalDialog()</a>.
        */
        public boolean showMaximizeButton;

        /** 
        * Show the dialog centered wrt the desktop.
        * Used by <a href="#DhWindow.showModalDialog()">DhWindow.showModalDialog()</a>.
        */
        public boolean showCentered;

        private final static String strsToChange[] = {"TOP:", "LEFT:", "HEIGHT:", "WIDTH:"};

        public DhDialogInfo()
        {}

        private String toString(boolean f)
        {}

        public String toString()
        {}
}