//STRIPPEDSOURCE//

package com.ms.wfc.html;

import com.ms.wfc.core.*;
import com.ms.wfc.util.*;

import com.ms.wfc.html.event.DhEventID;
import com.ms.wfc.html.event.DhEvents;
import com.ms.wfc.core.EventHandler;
import com.ms.wfc.html.event.DhWindowListener;
import com.ms.wfc.html.event.DhGenericHandler;

import com.ms.wfc.html.om.IHTMLElement;
import com.ms.wfc.html.om.IHTMLWindow2;
import com.ms.wfc.html.om.IHTMLDocument;
import com.ms.wfc.html.om.IHTMLDocument2;
import com.ms.wfc.html.om.IHTMLLocation;
import com.ms.wfc.html.om.IServer;
import com.ms.wfc.html.om.IScriptingContext;
import com.ms.wfc.html.om.IResponse;
import com.ms.wfc.html.om.IRequest;
import com.ms.wfc.html.om.IHTMLElementCollection;

import com.ms.com.*;
import com.ms.lang.Delegate;

import com.ms.object.ISiteable;
import com.ms.object.ISite;
import com.ms.object.ServiceNotFoundException;
import com.ms.activeX.ActiveXControlServices;
import com.ms.wfc.ax.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.io.*;
import com.ms.wfc.util.Debug;
import com.ms.wfc.ui.HelpEventHandler;
import com.ms.wfc.ui.ScrollEventHandler;

/**
 * Provides siting services for the com.ms.wfc.html package.  You then author your derivation into your HTML file as 
 * an object tag. You may also choose to derive from the 
 * <a href="com.ms.wfc.html.DhApplet.html">DhApplet</a> version of this class or the
 * <a href="com.ms.wfc.html.DhBean.html">DhBean</a> version. All accomplish
 * the same thing: let you program to the HTML document.<p>
 *
 * You never create a DhModule - it is created for you by the fact that you
 * put it on the HTML page as an <b>object</b> tag.
 *
 * Make sure to check out the <a href="commshtml_ovr.html#module>overview</a> section on using DhModule.
 *
 *
 * @security(checkClassLinking=on)
 */
public class DhModule extends com.ms.wfc.core.Component
    implements IObjectWithSite, 
    IPersistPropertyBag,
    ISiteable { 
    
    
    File stdoutFile = null;
    
    String strCodeClass = null; 
    private Class codeClass = null; 
    private boolean okToCreateDoc = false;
    
    private java.util.Hashtable propBag = null;
    
    public DhModule() {}
    
    
    private DhModule(java.util.Hashtable propBag, Class codeClass) {}
    
    /**
     * This constructor is public to support alternate siting mechanisms
     * for DhModule.  This is an advanced scenario ... normal JDHTML code
     * should never construct a DhModule.
     */
    public DhModule(ISite site, EventHandler onload, EventHandler onunload) {}

    
    private void setupModule(java.util.Hashtable propBag, Class codeClass) {}
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    private         ISite                   m_isite;
    private         IUnknown                m_comSite;
    
    /** ISite.setSite
     * @depricated
     */
    final public void setSite(ISite site) {}

    void setDocumentInternal(DhDocument document) {}
    
    private void createDocumentFromCodeClass() {}

    /**
     * Retrieves the name of the document class for this module (which should be a class
     * extending DhDocument).   If this property is not set in the
     * constructor for the DhModule-derived class, the framework will set it
     * using the __CODECLASS attribute of the HTML <body> tag, if any.
     */
    final public String getCodeClass() {}
    
    /** ISite.getSite()
     */
    final public ISite getSite() {}
    
    /** IObjectWithSite.SetSite
     */
    final public void SetSite(IUnknown punk) {}
    
    /** IObjectWithSite.GetSite
     */
    final public IUnknown GetSite( _Guid g ) {}
    
    
    
    
    private IOleClientSite getOCS(ISite newsite) {}
    
    
    int getBrowserHandle(){}
    
    private void doFireLoad() {}
    
    /**
     * @internalonly
     * @hidden
     */
    final protected void setupSite(IOleClientSite ocs) {}
    
    private void _setupSite(IOleClientSite ocs) {}
    
    
    
    
    
    
    private         DhDocument          m_document;
    
    /**
     * Retrieves the current DhDocument object
     * associated with this module. ms.wfc.html.DhDocument.html">DhDocument</a> object associated
     * with this module. <p>
     * <em>NOTE</em>Calling this is valid only after <a>onDocumentLoad</a> has been called.
     * @return The current DhDocument or <b>null</b> if the page hasn't finished loading.
     */
    public final DhDocument getDocument() {}
    
    /**
     * Retrieves the current document associated with this module as an Object for scripting purposes. 
     * @return The document connected to this module.
     */
    public final Object getDocumentObject(){}
    
    /**
     * Retrieves the underlying HTML peer element for this class.  This method may return <b>null</b>
     * if the document is not bound to this class. Java code that is running in a 
     * trusted environment can freely cast the resulting reference to a specific element peer type 
     * (e.g. com.ms.wfc.html.om.IHTMLWindow2). This method will always return <b>null</b> if the
     * code is running in a Web server environment.<p>
     * <em>Note that calling this method represents a very advanced usage scenario. Normally you would
     * never use this method.</em>
     *
     * @return The element peer underlying the HTML peer for this class.
     */
    public final IUnknown getPeer() {}
    
    
    
    
    
    
    
    private DhEvents m_events;
    
    /**
     * Set a specific event handler for module. Most the of the common event handlers
     * have a more direct way of setting the event handler. This method is exposed for
     * cases not covered by the direct set methods.
     *
     * @see #addOnLoad
     * @see #addOnUnload
     *
     * @param id The instance of an <a href="com.ms.wfc.html.event.DhEventID.html">event id</a> of the specific 
     * event you want to sink. See <a href="com.ms.wfc.html.event.DhEvents.html">DhEvents</a>
     * for some of the possible IDs.
     * @param handler The <a href="com.ms.wfc.html.EventHandler.html">EventHandler</a> callback
     * method to invoke every time the specific event is triggered.
     */
    protected final void addEventHandler( DhEventID id, Delegate handler ) {}
    
    /**
     * Appends the event handlers of a given module to this module's event handler list.
     * 
     * @param   m  DhModule containing the event handler list to be added to this element.
     */
    public void appendEventHandlers(DhModule m) {}

    /**
     * @hidden
     * @internalonly
     * 
     * Returns the delegate list for the given event key.
     * 
     * @return  Delegate list of event handlers.
     */
    public final Delegate getEventHandler(Object key) {}
    
    /**
     * @internalonly
     * 
     * This fires the event corresponding to the given key.
     * 
     * @param  DhEventID  DhEventID representing the kind of event.
     * @param  e        Event object that encapsulates the event's paramters.
     */   
    protected void fireEvent(DhEventID key, Event e) {}

    private DhEvents createEvents() {}
    
    
    
    
    
    
    
    
    
    
    
    
    
    /**
     * Assigns a delegate to the load event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is done loading. By default this event is automatically
     * routed to DhModule.<a>onDocumentLoad</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnLoad( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the unload event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is ready to unload. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnUnload  ( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the help event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when help is requested. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnHelp( HelpEventHandler h ) {}
    
    /**
     * Assigns a delegate to the error event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when error occured while loading the document. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnError( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the resize event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the window is resized. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnResize( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the scroll event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the window is scrolled. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnScroll( ScrollEventHandler h ) {}
    
    /**
     * Assigns a delegate to the beforeUnload event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is about to be loaded. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnBeforeUnload( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the gotFocus event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is ready to unload. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnGotFocus  ( EventHandler h ) {}
    
    /**
     * Assigns a delegate to the lostFocus event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is done loading. By default this event is automatically
     * routed to DhModule.<a>onDocumentLoad</a>.
     *
     * @param h The event handler callback method.
     */
    public final void addOnLostFocus    ( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the load event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is done loading. By default this event is automatically
     * routed to DhModule.<a>onDocumentLoad</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnLoad    ( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the lostFocus event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is ready to unload. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnUnload  ( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the help event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when help is requested. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnHelp( HelpEventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the error event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when error occured while loading the document. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnError( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the resize event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the window is resized. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnResize( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the scroll event. ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the window is scrolled. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnScroll( ScrollEventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the beforeUnload event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is about to be loaded. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnBeforeUnload( EventHandler h ) {}

    /**
     * Removes the delegate that is assigned to the gotFocus event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is ready to unload. By default this event is automatically
     * routed to DhModule.<a>onDocumentUnload</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnGotFocus  ( EventHandler h ) {}
    
    /**
     * Removes the delegate that is assigned to the lostFocus event.ms.wfc.html.EventHandler.html">event handler</a> method callback
     * that is triggered when the document is done loading. By default this event is automatically
     * routed to DhModule.<a>onDocumentLoad</a>.
     *
     * @param h The event handler callback method.
     */
    public final void removeOnLostFocus    ( EventHandler h ) {}
    
    private boolean loadCalled;
    
    
    private void onDocumentLoad(Object sender, Event event) {}
    
    
    private void onDocumentUnload(Object sender, Event event) {}

    
    private void onDocumentBeforeUnload(Object sender, Event event) {}

    
    protected DhElement getUserFreezeState() {}
    
    protected void setUserUnfreezeState(DhElement[] dh) {}
    
    /**
     * This is the first and last time this module has a chance to look at the parameters that
     * were authored into the PARAM tags of the hosting HTML document. 
     *
     * @param pb The <a href="com.ms.wfc.html.DhPropertybag.html">collection</a> of param tags.
     */
    public final void LoadParameters( DhPropertyBag pb ) {}
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    /** IPersist.GetClassID
     */
    final public void GetClassID(com.ms.com._Guid pClassID) {}
    
    /** IPersistPropertyBag.InitNew
     */
    final public void InitNew() {}
    
    /** IPersistPropertyBag.Load
     */
    
    final public void Load(IPropertyBag pPropBag, IUnknown pErrorLog) {}
    
    /** IPersistPropertyBag.Save
     */
    
    final public void Save(IPropertyBag pPropBag, int fClearDirty, int fSaveAllProperties) {}
    
    
    
    
    
    private void writeSize(IStream stream, int n) {}
    
    private int getSize(IStream stream) {}
    
    
    
    
    
    
    
    
    
    static private DhModule sm_currentModule;
    
    
    
    static final public DhModule getCurrentModule() {}
    
    private IResponse          m_response;  
    private IRequest          m_request;  
    private DhUploader        m_uploader;
    
    static final private int SITE_NONE    = 0;
    static final private int SITE_IE      = 1;
    static final private int SITE_IIS     = 2;
    static final private int SITE_CONSOLE = 3;
    
    private int m_siteType = SITE_NONE;
    
    private void setSiteType( int siteType ){}

    /**
     * Retrieves a string indicating how the module is hosted. 
     * Currently the possible values are:
     *      "IIS"       Internet server
     *      "IE"        Internet browser (client side)
     *      "CONSOLE"   Console (typically using jview.exe).
     *      "NONE"      Unknown host environment, or "other".
     * You can call getModuleHost() from your initForm() function, and adjust
     * your module's behavior as appropriate.  For example, if the host is "IIS",
     * creating event handlers on HTML elements will have no effect.
     *
     * @return String describing the host type.
     */
    final public String getModuleHost() {}
    
    /**
     * Returns the server Response object. Using the Response object, one
     * can send output to the client.
     * 
     * @return  Response object of the server.
     * @see     #com.ms.iis.asp.Response
     */
    
    final public IResponse getResponse(){}
    
    /**
     * Returns the server Request object. The Request object retrieves
     * the values that the client browser passed to the server during
     * an HTTP request
     * 
     * @return  Request object of the server.
     * @see     #com.ms.iis.asp.Request
     */
    
    final public IRequest getRequest(){}

    /**
     * Initializes a DhModule that was invoked from the console (typically
     * using JView).   Call this only from your static main() function.
     * 
     * @param args    The argument list which was originally passed to main().
     */
    final public void doMain(String args[]) {}
    
    /**
     * Retrieves a query parameter.   If not in server mode, or the parameter does not exist,
     * <b>null</b> is returned.
     * @param strParam The query parameter name to retieve a value for
     * @return The parameter value, or an empty String if the parameter does not exist.
     * @see #getServerMode
     */
    final public String getQueryParameter( String strParamName ){}

    /**
     * Determines if this DhModule object was sited on IIS. 
     * @return <b>true</b> if the DhModule is sited on a web server, <b>false</b>
     *             if it is sited on a client or other container.
     */
    final public boolean getServerMode(){}
    
    /**
     * @internalonly
     */
    public final void OnStartPage( Object pDispatch ){}
    
    public final void OnEndPage(){}
    
    private final void ensureDocument(){}

    /**
     * Sets the name of the class of DhDocument
     * that is created for the HTML document containing this module.   If this property is not set in the
     * constructor for the DhModule-derived class, the framework will set it
     * using the __CODECLASS attribute of the HTML <body> tag, if any.
     * @param codeClass The class name of the DhDocument derived class to use.
     */
    final public void setCodeClass( String newCodeClass ) {}
    
    Object htmlDoc;
    
    /**
     * Sets the import document file name for server-side operations.    This method is not meant to be
     * called when bound to a browser client, and can only be called after 
     * a call to <i>bindNewElements</i>.
     * @param fileName The fully qualified file name of the file to import
     * @see #bindNewElements
     */          
    final public void setHTMLDocument( String fileName ){}
    
    /**
     * Sets the import document file name for server-side operations.    This method is not meant to be
     * called when bound to a browser client, and can only be called after 
     * a call to <i>bindNewElements</i>.
     * @param inputStream The input stream document
     * @see com.ms.wfc.io.IDataStream
     * @see com.ms.wfc.io.File
     * @see #bindNewElements
     */      
    final public void setHTMLDocument( IDataStream inputStream ) {}
    
    /**
     * Writes the specified HTML string to the current site.   If in server mode
     * the string is written to the output stream, otherwise it is added to the
     * end of the current document body
     * @param strHTML The HTML to write
     */
    final public void write( String strHTML ){}
    
    /**
     * Writes the specified HTML string to the current site.   If in server mode,
     * the element's HTML is generated and  to the output stream.  Otherwise, 
     * the element is added to the end of the current document body.
     * @param element The element to write
     */
    final public void write( DhElement element ){}
    
    
    /**
     * Writes the specified HTML string to the current site.   If <i>stackTrace</i>
     * is specified, the stack trace is also written.
     * @param exception or error to write
     * @param stackTrace <b>true</b> to write stack trace, otherwise <b>false</b>.
     */
    final public void write( Throwable exception, boolean stackTrace ){}

    /**
     * Provides siting services for the com.ms.wfc.html package. 
     * @hidden
     * @internalonly
     *
     * @security(checkClassLinking=on)
     */        
    public static class ClassInfo extends Component.ClassInfo {

        public static final EventInfo load = new EventInfo(
                                                           DhModule.class,"load",EventHandler.class,
                                                           CategoryAttribute.Behavior);
        public static final EventInfo unload = new EventInfo(
                                                             DhModule.class,"unload",EventHandler.class,
                                                             CategoryAttribute.Behavior);
        public static final EventInfo beforeUnload = new EventInfo(
                                                                   DhModule.class,"beforeUnload",EventHandler.class,
                                                                   CategoryAttribute.Behavior);
        public static final EventInfo scroll = new EventInfo(
                                                             DhModule.class,"scroll", ScrollEventHandler.class,
                                                             CategoryAttribute.Behavior);
        public static final EventInfo error = new EventInfo(
                                                            DhModule.class,"error",EventHandler.class,
                                                            CategoryAttribute.Behavior);
        public static final EventInfo help = new EventInfo(
                                                           DhModule.class,"help", HelpEventHandler.class,
                                                           CategoryAttribute.Behavior);
        public static final EventInfo gotFocus = new EventInfo(
                                                               DhModule.class,"gotFocus",EventHandler.class,
                                                               CategoryAttribute.Behavior);
        public static final EventInfo lostFocus = new EventInfo(
                                                                DhModule.class,"lostFocus",EventHandler.class,
                                                                CategoryAttribute.Behavior);
        public static final EventInfo resize = new EventInfo(
                                                             DhModule.class,"resize",EventHandler.class,
                                                             CategoryAttribute.Behavior);

        public void getEvents(IEvents events) {}
    }
    
}




class DhSiteWaiter extends Thread { 
    DhModule                                m_module;
    ActiveXControlServices  m_axservices;
    
    public DhSiteWaiter(DhModule module, ActiveXControlServices     axservice) {}
    
    void doWaiting() {}
    
    public void run() {}
    
}