//STRIPPEDSOURCE//

package com.ms.wfc.html;

import com.ms.wfc.core.*;
import com.ms.wfc.html.om.*;
import com.ms.wfc.html.event.*;

/**
 * Enables output of arbitrary raw HTML to the document. 
 *
 * @security(checkClassLinking=on)
 */
public class DhRawHTML extends DhBaseContainer {
        private String m_html;

        /**
         * Default ctor
         */
        public DhRawHTML(){}

        /**
         * one step construction with HTML string
         * @param html The initial HTML string
         * @see #setHTML
         */
        public DhRawHTML( String html ){}

        /**
         * Sets the HTML string to output to the document. 
         * @param html The String to output
         */
        final public void setHTML( String html ){}

        /**
        * @internalonly
        */
        final public void setText( String text ){}

        /**
        * @internalonly
        */
        final public String getText(){}

        /**
         * Retrieves the current HTML string. 
         * @return The HTML string, or <b>null</b> if one is not set.
         */
        final public String getHTML(){}

        protected StringBuffer getContent( StringBuffer sb ){}

        /**
         * @internalonly
         */
        public int getTagNameID(){}
/**
    * Enables output of arbitrary raw HTML to the document. 
    * @hidden
    * @internalonly
    *
    * @security(checkClassLinking=on)
    */        
        public static class ClassInfo extends DhElement.ClassInfo {
        public static final PropertyInfo HTML =
            new PropertyInfo(DhRawHTML.class, "HTML", String.class,
                             CategoryAttribute.Behavior,
                             new DescriptionAttribute(Sys.getString("DhRawHTMLHTML")));

        public void getProperties(IProperties props) {}
    }
}