//STRIPPEDSOURCE//
package com.ms.wfc.html;
import com.ms.wfc.core.*;

/**
 * Used internally by the html package
 *
 * @security(checkClassLinking=on)
 */
public interface DhStringIDs { 
    public static final int EMPTY  = Integer.MAX_VALUE;

    public static final int STR__BANG_COMMENT                = 1;
    public static final int STR__PERCENT                     = 2;
    public static final int STR_A                            = 3;
    public static final int STR_ABSBOTTOM                    = 4;
    public static final int STR_ABSOLUTE                     = 5;
    public static final int STR_ABSMIDDLE                    = 6;
    public static final int STR_ACCESSKEY                    = 7;
    public static final int STR_ACTION                       = 8;
    public static final int STR_ADD                          = 9;
    public static final int STR_ADDRESS                      = 10;
    public static final int STR_ALIGN                        = 11;
    public static final int STR_ALL                          = 12;
    public static final int STR_ALPHA                        = 13;
    public static final int STR_ALT                          = 14;
    public static final int STR_APPLET                       = 15;
    public static final int STR_AREA                         = 16;
    public static final int STR_AUTO                         = 17;
    public static final int STR_B                            = 18;
    public static final int STR_BACKGROUND_COLOR             = 19;
    public static final int STR_BASELINE                     = 20;
    public static final int STR_BLENDTRANS                   = 21;
    public static final int STR_BLUR                         = 22;
    public static final int STR_BODY                         = 23;
    public static final int STR_BOLD                         = 24;
    public static final int STR_BORDER                       = 25;
    public static final int STR_BORDER_BOTTOM                = 26;
    public static final int STR_BORDER_LEFT                  = 27;
    public static final int STR_BORDER_RIGHT                 = 28;
    public static final int STR_BORDER_TOP                   = 29;
    public static final int STR_BOTTOM                       = 30;
    public static final int STR_BR                           = 31;
    public static final int STR_BUTTON                       = 32;
    public static final int STR_CAPTION                      = 33;
    public static final int STR_CELLPADDING                  = 34;
    public static final int STR_CELLSPACING                  = 35;
    public static final int STR_CENTER                       = 36;
    public static final int STR_CHECKBOX                     = 37;
    public static final int STR_CHECKED                      = 38;
    public static final int STR_CHROMA                       = 39;
    public static final int STR_CIRCLE                       = 40;
    public static final int STR_CITE                         = 41;
    public static final int STR_CLASS                        = 42;
    public static final int STR_CLASSID                      = 43;
    public static final int STR_CLASSNAME                    = 44;
    public static final int STR_CLEAR                        = 45;
    public static final int STR_CLIP                         = 46;
    public static final int STR_CM                           = 47;
    public static final int STR_CODE                         = 48;
    public static final int STR_CODEBASE                     = 49;
    public static final int STR_COL                          = 50;
    public static final int STR_COLGROUP                     = 51;
    public static final int STR_COLOR                        = 52;
    public static final int STR_COLS                         = 53;
    public static final int STR_COLSPAN                      = 54;
    public static final int STR_COORDS                       = 55;
    public static final int STR_CROSSHAIR                    = 56;
    public static final int STR_CURSOR                       = 57;
    public static final int STR_DASHED                       = 58;
    public static final int STR_DATAFLD                      = 59;
    public static final int STR_DATAFORMATAS                 = 60;
    public static final int STR_DATAPAGESIZE                 = 61;
    public static final int STR_DATASRC                      = 62;
    public static final int STR_DEFAULT                      = 63;
    public static final int STR_DEL                          = 64;
    public static final int STR_DFN                          = 65;
    public static final int STR_DIR                          = 66;
    public static final int STR_DIRECTION                    = 67;
    public static final int STR_DISABLED                     = 68;
    public static final int STR_DISPLAY                      = 69;
    public static final int STR_DIV                          = 70;
    public static final int STR_DOTTED                       = 71;
    public static final int STR_DOUBLE                       = 72;
    public static final int STR_DROPSHADOW                   = 73;
    public static final int STR_DURATION                     = 74;
    public static final int STR_E_RESIZE                     = 75;
    public static final int STR_EM                           = 76;
    public static final int STR_EMBED                        = 77;
    public static final int STR_ENABLED                      = 78;
    public static final int STR_EX                           = 79;
    public static final int STR_FILE                         = 80;
    public static final int STR_FILTER                       = 81;
    public static final int STR_FINISHOPACITY                = 82;
    public static final int STR_FINISHX                      = 83;
    public static final int STR_FINISHY                      = 84;
    public static final int STR_FONT                         = 85;
    public static final int STR_FONT_FAMILY                  = 86;
    public static final int STR_FONT_SIZE                    = 87;
    public static final int STR_FONT_STYLE                   = 88;
    public static final int STR_FONT_WEIGHT                  = 89;
    public static final int STR_FOR                          = 90;
    public static final int STR_FORM                         = 91;
    public static final int STR_FRAME                        = 92;
    public static final int STR_FRAMESET                     = 93;
    public static final int STR_FREQ                         = 94;
    public static final int STR_GET                          = 95;
    public static final int STR_GLOW                         = 96;
    public static final int STR_GRAYSCALE                    = 97;
    public static final int STR_GROOVE                       = 98;
    public static final int STR_H1                           = 99;
    public static final int STR_H2                           = 100;
    public static final int STR_H3                           = 101;
    public static final int STR_H4                           = 102;
    public static final int STR_H5                           = 103;
    public static final int STR_H6                           = 104;
    public static final int STR_HAND                         = 105;
    public static final int STR_HEIGHT                       = 106;
    public static final int STR_HELP                         = 107;
    public static final int STR_HIDDEN                       = 108;
    public static final int STR_HR                           = 109;
    public static final int STR_HREF                         = 110;
    public static final int STR_HTML                         = 111;
    public static final int STR_I                            = 112;
    public static final int STR_ID                           = 113;
    public static final int STR_IFRAME                       = 114;
    public static final int STR_IMAGE                        = 115;
    public static final int STR_IMG                          = 116;
    public static final int STR_IN                           = 117;
    public static final int STR_INPUT                        = 118;
    public static final int STR_INS                          = 119;
    public static final int STR_INSET                        = 120;
    public static final int STR_INVERT                       = 121;
    public static final int STR_ITALIC                       = 122;
    public static final int STR_JUSTIFY                      = 123;
    public static final int STR_KBD                          = 124;
    public static final int STR_LABEL                        = 125;
    public static final int STR_LEFT                         = 126;
    public static final int STR_LETTER_SPACING               = 127;
    public static final int STR_LI                           = 128;
    public static final int STR_LIGHT                        = 129;
    public static final int STR_LIGHTSTRENGTH                = 130;
    public static final int STR_LINE_THROUGH                 = 131;
    public static final int STR_MAP                          = 132;
    public static final int STR_MARGIN                       = 133;
    public static final int STR_MARGIN_BOTTOM                = 134;
    public static final int STR_MARGIN_BOTTOMA               = 135;
    public static final int STR_MARGIN_LEFT                  = 136;
    public static final int STR_MARGIN_LEFTA                 = 137;
    public static final int STR_MARGIN_RIGHT                 = 138;
    public static final int STR_MARGIN_RIGHTA                = 139;
    public static final int STR_MARGIN_TOP                   = 140;
    public static final int STR_MARGIN_TOPA                  = 141;
    public static final int STR_MASK                         = 142;
    public static final int STR_MAXLENGTH                    = 143;
    public static final int STR_MEDIUM                       = 144;
    public static final int STR_MENU                         = 145;
    public static final int STR_METHOD                       = 146;
    public static final int STR_MOVE                         = 147;
    public static final int STR_MM                           = 148;
    public static final int STR_MULTIPLE                     = 149;
    public static final int STR_N_RESIZE                     = 150;
    public static final int STR_NAME                         = 151;
    public static final int STR_NE_RESIZE                    = 152;    
    public static final int STR_NO                           = 153;
    public static final int STR_NOBR                         = 154;
    public static final int STR_NOHREF                       = 155;
    public static final int STR_NONE                         = 156;
    public static final int STR_NW_RESIZE                    = 157;    
    public static final int STR_OBJECT                       = 158;
    public static final int STR_OFF                          = 159;
    public static final int STR_OFFX                         = 160;
    public static final int STR_OFFY                         = 161;
    public static final int STR_OL                           = 162;
    public static final int STR_ON                           = 163;
    public static final int STR_OPACITY                      = 164;
    public static final int STR_OPTION                       = 165;
    public static final int STR_OUTSET                       = 166;
    public static final int STR_P                            = 167;
    public static final int STR_PADDING                      = 168;
    public static final int STR_PADDING_BOTTOM               = 169;
    public static final int STR_PADDING_LEFT                 = 170;
    public static final int STR_PADDING_RIGHT                = 171;
    public static final int STR_PADDING_TOP                  = 172;
    public static final int STR_PARAM                        = 173;
    public static final int STR_PASSWORD                     = 174;
    public static final int STR_PC                           = 175;
    public static final int STR_PERCENT                      = 176;
    public static final int STR_PHASE                        = 177;
    public static final int STR_PHYSICAL                     = 178;
    public static final int STR_PLUGINSPAGE                  = 179;
    public static final int STR_POLYGON                      = 180;
    public static final int STR_POSITION                     = 181;
    public static final int STR_POSITIVE                     = 182;
    public static final int STR_POST                         = 183;
    public static final int STR_PRE                          = 184;
    public static final int STR_PT                           = 185;
    public static final int STR_PX                           = 186;
    public static final int STR_RADIO                        = 187;
    public static final int STR_READONLY                     = 188;
    public static final int STR_RECTANGLE                    = 189;
    public static final int STR_RELATIVE                     = 190;
    public static final int STR_RESET                        = 191;
    public static final int STR_REVEALTRANS                  = 192;
    public static final int STR_RIDGE                        = 193;
    public static final int STR_RIGHT                        = 194;
    public static final int STR_ROWS                         = 195;
    public static final int STR_ROWSPAN                      = 196;
    public static final int STR_S                            = 197;
    public static final int STR_S_RESIZE                     = 198;
    public static final int STR_SAMP                         = 199;
    public static final int STR_SCRIPT                       = 200;
    public static final int STR_SCROLL                       = 201;
    public static final int STR_SCROLLING                    = 202;
    public static final int STR_SE_RESIZE                    = 203;
    public static final int STR_SELECT                       = 204;
    public static final int STR_SELECTED                     = 205;
    public static final int STR_SHADOW                       = 206;
    public static final int STR_SHAPE                        = 207;
    public static final int STR_SIZE                         = 208;
    public static final int STR_SOFT                         = 209;
    public static final int STR_SOLID                        = 210;
    public static final int STR_SPAN                         = 211;
    public static final int STR_SRC                          = 212;
    public static final int STR_START                        = 213;
    public static final int STR_STARTX                       = 214;
    public static final int STR_STARTY                       = 215;
    public static final int STR_STRENGTH                     = 216;
    public static final int STR_STRIKE                       = 217;
    public static final int STR_STRONG                       = 218;
    public static final int STR_STYLE                        = 219;
    public static final int STR_SUB                          = 220;
    public static final int STR_SUBMIT                       = 221;
    public static final int STR_SUP                          = 222;
    public static final int STR_SUPER                        = 223;
    public static final int STR_SW_RESIZE                    = 224;
    public static final int STR_TABINDEX                     = 225;
    public static final int STR_TABLE                        = 226;
    public static final int STR_TARGET                       = 227;
    public static final int STR_TBODY                        = 228;
    public static final int STR_TD                           = 229;
    public static final int STR_TEXT                         = 230;
    public static final int STR_TEXT_ALIGN                   = 231;
    public static final int STR_TEXT_DECORATION              = 232;
    public static final int STR_TEXTAREA                     = 233;
    public static final int STR_TEXTTOP                      = 234;
    public static final int STR_TFOOT                        = 235;
    public static final int STR_THEAD                        = 236;
    public static final int STR_THICK                        = 237;
    public static final int STR_THIN                         = 238;
    public static final int STR_TITLE                        = 239;
    public static final int STR_TOP                          = 240;
    public static final int STR_TR                           = 241;
    public static final int STR_TRANSITION                   = 242;
    public static final int STR_TT                           = 243;
    public static final int STR_TYPE                         = 244;
    public static final int STR_U                            = 245;
    public static final int STR_UL                           = 246;
    public static final int STR_UNDERLINE                    = 247;
    public static final int STR_USEMAP                       = 248;
    public static final int STR_VALUE                        = 249;
    public static final int STR_VERTICAL_ALIGN               = 250;
    public static final int STR_VIRTUAL                      = 251;
    public static final int STR_W_RESIZE                     = 252;
    public static final int STR_WAIT                         = 253;
    public static final int STR_WAVE                         = 254;
    public static final int STR_WIDTH                        = 255;
    public static final int STR_WIDTHA                       = 256;
    public static final int STR_WRAP                         = 257;
    public static final int STR_XMP                          = 258;
    public static final int STR_XRAY                         = 259;
    public static final int STR_YES                          = 260;
    public static final int STR_Z_INDEX                      = 261;
    public static final int STR__AP                          = 262;
    public static final int STR__BLANK                       = 263;
    public static final int STR__CODECLASS                   = 264;
    public static final int STR__MC                          = 265;
    public static final int STR__MEMBER                      = 266;
    public static final int STR__PARENT                      = 267;
    public static final int STR__SELF                        = 268;
    public static final int STR__TOP                         = 269;
    public static final int STR__XID                         = 270;




    
    public static final int NUM_STRINGS = STR__XID+1;
}



class DhCheck { 
    public static final int STYLE   = 0x80000000;
    public static final int ATTR    = 0x40000000;
    public static final int TAG     = 0x20000000;
    public static final int VALUE   = 0x10000000;
    public static final int PROP    = 0x08000000;
    public static final int NUMERIC = 0x04000000;
    public static final int UNIT    = 0x02000000;
    public static final int CLOSES  = 0x01000000;
    public static final int LAZYEND = 0x00800000;
    public static final int FILTER  = 0x00400000;
    public static final int PREPEND = 0x00200000;   
    public static final int INITPOS = 0x00100000;   
    public static final int FMT_TAG = 0x00080000;
    public static final int DEFAULT = 0x00040000;
    public static final int UNARY   = 0x00020000;

    static protected int isValid( int index, int expecting ) {}

    static protected boolean getValueNumeric( int index ) {}
    
    
    static protected boolean hasCloseTag( int index ) {}

    static protected boolean getLazyEndTag( int index ) {}

    static protected boolean getPrepend(int index) {}

    static protected boolean getInitPos( int index ){}

    static protected boolean getFormatTag( int index ){}
    
    static protected boolean getDefault( int index ){}
    
    static protected boolean getUnary( int index ){}
    
    static protected boolean isDhKey( int index ){}
    
    static protected int mapNumericToNonNumeric( int index ) {}

    static protected int mapPropertyToAttr(int strid) {}

    private static final int sm_a[] = 
    {
            0,
            TAG,                            
            UNIT,                           
            TAG | CLOSES,                   
            VALUE,                          
            VALUE,                          
            VALUE,                          
            ATTR,                           
            ATTR,                           
            FILTER | NUMERIC,               
            TAG | CLOSES | FMT_TAG,         
            ATTR | UNARY,                   
            VALUE,                          
            FILTER,                         
            ATTR,                           
            TAG | CLOSES,                   
            TAG,                            
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            STYLE,                          
            VALUE,                          
            FILTER,                         
            FILTER,                         
            TAG | CLOSES,                   
            VALUE,                          
            STYLE | ATTR,                   
            STYLE,                          
            STYLE,                          
            STYLE,                          
            STYLE,                          
            VALUE,                          
            TAG,                            
            VALUE,                          
            TAG | CLOSES,                   
            ATTR | NUMERIC,                 
            ATTR | NUMERIC,                 
            TAG | CLOSES | FMT_TAG | VALUE, 
            VALUE,                          
            ATTR | NUMERIC | UNARY|DEFAULT, 
            FILTER,                         
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            ATTR,                           
            ATTR,                           
            PROP,                           
            ATTR,                           
            STYLE,                          
            UNIT,                           
            TAG | CLOSES | FMT_TAG | ATTR,  
            ATTR,                           
            TAG,                            
            TAG | CLOSES,                   
            STYLE,                          
            ATTR | NUMERIC,                 
            ATTR | NUMERIC,                 
            ATTR,                           
            VALUE,                          
            STYLE,                          
            VALUE,                          
            ATTR,                           
            ATTR,                           
            ATTR | NUMERIC | UNARY,         
            ATTR,                           
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES,                   
            FILTER | NUMERIC,               
            ATTR | NUMERIC | UNARY,         
            STYLE,                          
            TAG | CLOSES | INITPOS ,        
            VALUE,                          
            VALUE,                          
            FILTER,                         
            FILTER | NUMERIC,               
            VALUE,                          
            TAG | CLOSES | FMT_TAG | UNIT,  
            TAG | CLOSES,                   
            FILTER | NUMERIC,               
            UNIT,                           
            VALUE,                          
            STYLE,                          
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            TAG | CLOSES | FMT_TAG,         
            STYLE | NUMERIC,                
            STYLE | NUMERIC,                
            STYLE,                          
            STYLE,                          
            ATTR,                           
            TAG | CLOSES,                   
            TAG,                            
            TAG | CLOSES,                   
            FILTER | NUMERIC,               
            VALUE,                          
            FILTER,                         
            FILTER,                         
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            VALUE,                          
            STYLE | NUMERIC | ATTR,         
            VALUE,                          
            VALUE,                          
            TAG,                            
            ATTR,                           
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            ATTR,                           
            TAG | CLOSES,                   
            VALUE,                          
            TAG,                            
            UNIT,                           
            TAG,                            
            TAG | CLOSES | FMT_TAG,         
            VALUE,                          
            FILTER,                         
            VALUE,                          
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES,                   
            STYLE | NUMERIC | VALUE,        
            STYLE | NUMERIC,                
            TAG | LAZYEND | CLOSES,         
            PROP,                           
            FILTER | NUMERIC,               
            VALUE,                          
            TAG | CLOSES,                   
            STYLE,                          
            STYLE | NUMERIC,                
            STYLE,                          
            STYLE | NUMERIC,                
            STYLE,                          
            STYLE | NUMERIC,                
            STYLE,                          
            STYLE | NUMERIC,                
            STYLE,                          
            FILTER,                         
            ATTR | NUMERIC,                 
            VALUE,                          
            TAG | CLOSES,                   
            ATTR,                           
            VALUE,                          
            UNIT,                           
            ATTR | NUMERIC | UNARY,         
            VALUE,                          
            ATTR | UNARY | DEFAULT,         
            VALUE,                          
            VALUE,                          
            TAG | CLOSES,                   
            ATTR,                           
            VALUE,                          
            VALUE,                          
            TAG | CLOSES,                   
            VALUE,                          
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            TAG | CLOSES,                   
            VALUE,                          
            FILTER | NUMERIC,               
            TAG | LAZYEND |CLOSES,          
            VALUE,                          
            TAG | CLOSES,                   
            STYLE,                          
            STYLE | NUMERIC,                
            STYLE | NUMERIC,                
            STYLE | NUMERIC,                
            STYLE | NUMERIC,                
            TAG,                            
            VALUE,                          
            UNIT,                           
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            VALUE,                          
            ATTR,                           
            VALUE,                          
            STYLE | PREPEND,                
            FILTER | NUMERIC,               
            VALUE,                          
            TAG | CLOSES,                   
            UNIT,                           
            UNIT,                           
            VALUE,                          
            ATTR | UNARY,                   
            VALUE,                          
            VALUE,                          
            VALUE,                          
            FILTER,                         
            VALUE,                          
            STYLE | NUMERIC | VALUE,        
            ATTR | NUMERIC,                 
            ATTR | NUMERIC,                 
            TAG | CLOSES | FMT_TAG,         
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES,                   
            ATTR,                           
            ATTR,                           
            VALUE,                          
            TAG | CLOSES,                   
            ATTR | UNARY,                   
            FILTER,                         
            ATTR,                           
            ATTR | NUMERIC,                 
            VALUE,                          
            VALUE,                          
            TAG | CLOSES | INITPOS,         
            ATTR,                           
            ATTR,                           
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            FILTER | NUMERIC,               
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | FMT_TAG,         
            TAG | CLOSES | ATTR,            
            TAG | CLOSES | FMT_TAG | VALUE, 
            VALUE,                          
            TAG | CLOSES | FMT_TAG,         
            VALUE,                          
            VALUE,                          
            ATTR | NUMERIC,                 
            TAG | CLOSES,                   
            ATTR,                           
            TAG | CLOSES,                   
            TAG | CLOSES | LAZYEND,         
            VALUE,                          
            STYLE,                          
            STYLE,                          
            TAG | CLOSES,                   
            VALUE,                          
            TAG | CLOSES,                   
            TAG | CLOSES,                   
            VALUE,                          
            VALUE,                          
            ATTR | UNARY,                   
            STYLE | NUMERIC | VALUE,        
            TAG | CLOSES | LAZYEND,         
            FILTER | NUMERIC,               
            TAG | CLOSES | FMT_TAG,         
            ATTR | UNARY,                   
            TAG | CLOSES | FMT_TAG,         
            TAG |CLOSES ,                   
            VALUE,                          
            ATTR | UNARY,                   
            ATTR | DEFAULT | UNARY,         
            STYLE,                          
            VALUE,                          
            VALUE,                          
            VALUE,                          
            FILTER,                         
            STYLE | NUMERIC | ATTR,         
            STYLE | ATTR,                   
            ATTR,                           
            TAG | CLOSES | FMT_TAG,         
            FILTER,                         
            ATTR,                           
            STYLE | NUMERIC,                
            ATTR | NUMERIC,                 
            VALUE,                          
            ATTR,                           
            ATTR | NUMERIC,                 
            ATTR | NUMERIC,                 
            VALUE,                          
            VALUE,                          
            VALUE,                          
            ATTR                            
            };
}