//STRIPPEDSOURCE//

package com.ms.wfc.html.event;

import com.ms.wfc.core.*;
import com.ms.wfc.html.DhModule;
import com.ms.wfc.html.DhEventInfo;
import com.ms.wfc.html.om.*;
import com.ms.lang.Delegate;


/**
 * @security(checkClassLinking=on)
 */
public class DhWindowListener extends DhEvents 
    implements HTMLWindowEvents
{
    public DhWindowListener( DhModule module ) {}

    /** 
     * @internalonly
     * 
     * Clones the events from one DhEvents to this one.
     * 
     * @param  evSource The DhEvents that is used as the source of the clone.
     */
    public void cloneEvents(DhEvents evSource) {}

    /**
     * @internalonly
     * 
     * Fires the event for the given DhEventID.
     * 
     * @param  eventID  The ID of the event whose handlers need to be notified.
     */
    protected void fireEvent(DhEventID eventID) {}
    
    /**
     * Fires the event with the given ID and uses the event object
     * as a parameter for the event handlers.
     * 
     * @param  eventID  Key identifying the event.
     * @param  e        Event object containing the information about the event.
     */
    public void fireEvent(DhEventID eventID, Event e) {}
        
    /**
     * @internalonly
     * 
     * Get the DhEvent structure of this object.
     * 
     * @return  Returns the DhEvent contained in this object.
     */
    protected DhEventInfo getEventInfo() {}

    final public void    onload()    {}
    final public void    onunload()  {}
    final public boolean onhelp()    {}
    final public void    onfocus()   {}
    final public void    onblur()    {}
    final public void    onerror()   {}
    final public void    onresize()  {}
    final public void    onscroll()  {}
    final public void    onbeforeunload() {}
}