//STRIPPEDSOURCE//
package com.ms.wfc.io;

import com.ms.wfc.core.*;
import com.ms.lang.SystemX;

/**
 * Implements a buffered data stream.  An instance of BufferedStream
 * can be put in front of any IByteStream to provide buffering of I/O
 * operations. Such buffering can increase performance in cases where a large
 * number of fairly small read or write operations are performed on a stream.
 *
 * @security(checkClassLinking=on)
 */
public class BufferedStream extends DataStream
{
    private IByteStream stream;
    private byte[] buffer;
    private int readPos;
    private int readLen;
    private int writePos;
    private int writeLen;

    public BufferedStream(IByteStream stream) {}

    public BufferedStream(IByteStream stream, int bufferSize) {}

    public boolean canRead() {}

    public boolean canSeek() {}

    public boolean canWrite() {}

    public void close() {}

    public void flush() {}

    private void flushRead() {}

    private void flushWrite() {}

    public long getLength() {}

    public IByteStream getStream() {}

    public long getPosition() {}

    public int read() {}

    private int readBuffer(int count) {}

    public byte readByte() {}

    public char readChar() {}

    protected int readCore(Object array, int offset, int count) {}

    public int readInt() {}

    public short readShort() {}

    public String readStringCharsAnsi(int length) {}

    public String readStringNull() {}

    public String readStringNullAnsi() {}

    public void setLength(long value) {}

    public void setPosition(long value) {}

    public void write(int value) {}

    private int writeBuffer(int count) {}

    public void writeByte(byte value) {}

    public void writeChar(char value) {}

    protected void writeCore(Object array, int offset, int count) {}

    public void writeInt(int value) {}

    public void writeShort(short value) {}
}