//STRIPPEDSOURCE//
package com.ms.wfc.io;

/**
 * This interface represents a reader that can read a sequential stream of
 * characters. The Reader class provides a default implementation of this
 * interface.
 *
 * @see com.ms.wfc.io.Reader
 *
 * @security(checkClassLinking=on)
 */
public interface IReader
{
    public void close();
    public int peek();
    public int read();
    public int read(char[] buffer, int index, int count);
    public String readLine();
}