//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * This enumeration lets you control the case of characters in certain
 * situations. For example, the edit control uses this on a property to
 * let you control the casing of all characters it displays.
 *
 * @security(checkClassLinking=on)
 */
public class CharacterCasing extends Enum {

    /**
     * indicates that the case of characters should be left unchanged.
     */
    public static final int NORMAL = 0;

    /**
     * Indicates that all characters should be converted into upper case.
     */
    public static final int UPPER = 1;

    /**
     * Indicates that all characters should be converted to lower case.
     */
    public static final int LOWER = 2;

    /**
     * Indicates whether the given value is valid or not
     */
    public static boolean valid(int value) {}
}