//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines horizontal and vertical alignments. 
 *
 * @security(checkClassLinking=on)
 */
public class ContentAlignment extends Enum {
    public static final int LEFT    = 0x0001;
    public static final int CENTER  = 0x0002;
    public static final int RIGHT   = 0x0004;
    public static final int MIDDLE  = 0x0010;
    public static final int TOP     = 0x0020;
    public static final int BOTTOM  = 0x0040;

    public static final int TOPLEFT = TOP | LEFT;
    public static final int TOPCENTER = TOP | CENTER;
    public static final int TOPRIGHT = TOP | RIGHT;
    public static final int MIDDLELEFT = MIDDLE | LEFT;
    public static final int MIDDLECENTER = MIDDLE | CENTER;
    public static final int MIDDLERIGHT = MIDDLE | RIGHT;
    public static final int BOTTOMLEFT = BOTTOM | LEFT;
    public static final int BOTTOMCENTER = BOTTOM | CENTER;
    public static final int BOTTOMRIGHT = BOTTOM | RIGHT;

    public static boolean valid(int value) {}

    public static final int toTextFormat(int align) {}



    /**
     * Defines horizontal and vertical alignments. 
     * @security(checkClassLinking=on)
     */
    public static class Editor extends ValueEditor {

        IEditorHost editorHost;
        IValueAccess valueaccess;

        public Editor() {}

        public void editValue(IValueAccess iva) {}

        public int getStyle() {}

        public String getConstantName(Object value) {}

        public String getTextFromValue(Object value) {}


        /**
         * Defines horizontal and vertical alignments. 
         * @security(checkClassLinking=on)
         */
        public static class EditControl extends UserControl {
            public EditControl() {}
            public EditControl(ContentAlignment.Editor parent, int align) {}


            ContentAlignment.Editor parent = null;

            private void setAlign(int value) {}

            private int getAlign() {}

            private void optionClick(Object sender, Event e) {}


            
            Container components = new Container();
            RadioButton topLeft = new RadioButton();
            RadioButton topCenter = new RadioButton();
            RadioButton topRight = new RadioButton();
            RadioButton middleLeft = new RadioButton();
            RadioButton middleCenter = new RadioButton();
            RadioButton middleRight = new RadioButton();
            RadioButton bottomLeft = new RadioButton();
            RadioButton bottomCenter = new RadioButton();
            RadioButton bottomRight = new RadioButton();

            private void initForm() {}


            /**
             * Defines horizontal and vertical alignments. 
             * @security(checkClassLinking=on)
             */
            public static class ClassInfo extends UserControl.ClassInfo {
                
            }
        }    
    }        
}