//STRIPPEDSOURCE//
package com.ms.wfc.ui;



import com.ms.wfc.core.*;

/**
 * Defines constants that specify how a control is docked to the edges of its container. 
 * 
 * When a control is docked to an edge of it's container it will
 * always be positioned flush against that edge while the container
 * resizes. If more than one control is docked to an edge, the controls
 * will not be placed on top of each other.
 *
 * @security(checkClassLinking=on)
 */
public class ControlDock extends Enum {
    public static final int NONE   = 0;
    public static final int TOP    = 1;
    public static final int BOTTOM = 2;
    public static final int LEFT   = 3;
    public static final int RIGHT  = 4;
    public static final int FILL   = 5;

    public static boolean valid(int dock) {}
}