//STRIPPEDSOURCE//


package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the formatQuery  event of the DateTimePicker control. 
 *
 * @security(checkClassLinking=on)
 */
public class DateTimeFormatQueryEvent extends Event {
    /**
     * Format string associated with the DateTimePicker.
     */
    public final String format;
    /**
     * Maximum dimensions needed to display anytime given the specified format.
     */
    public Point maxSize;
    
    public DateTimeFormatQueryEvent(String format, Point maxSize) {}
}