//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;


/**
 * Defines constants that specify how and if a drag-and-drop operation should continue. 
 * @security(checkClassLinking=on)
 */
public class DragAction extends Enum { 
    /**
     * Specifies that the operation should continue.
     */
    public static final int CONTINUE = 0;
    /**
     * Specifies that the operation should stop by performing a drop.
     */
    public static final int DROP = 1;
    /**
     * Specifies that the operation should be canceled and no drop message should be sent.
     */
    public static final int CANCEL = 2;
    
    public static boolean valid(int value) {}
}