//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;

/**
 * Provides data for the the dragDrop,  dragEnter, dragLeave, or dragOver event of a Control object. 
 *
 * @security(checkClassLinking=on)
 */
public class DragEvent extends Event {
    /**
     * The data associated with this event.
     */
    public final IDataObject data;
    /**
     * The current state of the shift, ctrl, and alt keys.
     */
    public final int keyState;
    /**
     * The mouse x location.
     */
    public final int x;
    /**
     * The mouse y location.
     */
    public final int y;
    /**
     * The effect that should be applied to the mouse cursor.
     */
    public int effect;

    public DragEvent(IDataObject data, int keyState, int x, int y, int effect) {}
}