//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines a group of constants that specify the state of a window.
 *
 * @security(checkClassLinking=on)
 */
public class FormWindowState extends Enum {

    /**
     * Represents a normally sized window.
     */
    public static final int NORMAL = 0;

    /**
     * Represents a minimized window.
     */
    public static final int MINIMIZED = 1;

    /**
     * Represents a maximized window.
     */
    public static final int MAXIMIZED = 2;

    /**
     * Retrieves a boolean
     * value that indicates whether a specified value designates a valid FormWindowState
     * constant.
     */
    public static boolean valid(int value) {}
}