//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;

/**
 * Encapsulates a scroll bar that is always oriented horizontally.   The other
 * major type of ScrollBar is the vertical one.
 *
 * @security(checkClassLinking=on)
 */
public class HScrollBar extends ScrollBar
{
    /**
     * Creates a new horizontal ScrollBar.
     */
    public HScrollBar() {}

    /**
     * Returns the parameters needed to create the handle.  Inheriting classes
     * can override this to provide extra functionality.  They should not, 
     * however, forget to call super.getCreateParams() first to get the struct
     * filled up with the basic info.
     *
     * @return    a CreateParams object with all the info needed to create 
     *            the control.
     * 
     * @see com.ms.wfc.ui.CreateParams
     */
    protected CreateParams getCreateParams() {}

    /**
     * Encapsulates a scroll bar that is always oriented horizontally.  All of the values from the ScrollBar classes
     * ClassInfo.
     *
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends ScrollBar.ClassInfo {
    }
}