//STRIPPEDSOURCE//
package com.ms.wfc.ui;

/**
 * This interface should be implemented by any visual component that can
 * act as a top-level window.
 *
 * @security(checkClassLinking=on)
 */
public interface ITopLevelWindow { 
    /**
     * Retrieves the handle to the window represented by the implementor. 
     * This handle can be used as a parent handle for 
     * <a href="com.ms.wfc.ui.Control.html">Control</a> derived objects.
     */
    public int getHandle();
}