//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.win32.*;


/**
 * Allows an ImageList object  to be persisted to a stream and depersisted from a stream. 
 * @security(checkClassLinking=on)
 */
public class ImageListStreamer implements IPersistable {
    ImageList imageList;
    int himl;

    ImageListStreamer(ImageList il) {}

    public ImageListStreamer(IDataStream stream) {}

    int getImageListHandle() {}

    /**
     * Retrieves the file name extension for the file where this object's persistence data is
     * saved. 
     *
     * @return a filename extension to use during object persistence.
     * @see IPersistable
     */
    public String getExtension() {}

    /**
     * Saves the images in the ImageList
     * object to the specified data stream. 
     *
     * @param stream    The data stream to write to.
     *
     * @see IPersistable
     */
    public void save(IDataStream stream) {}
}