//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines constants that specify whether an object or text is aligned to the left or  to the right of a reference point. 
 *
 * @security(checkClassLinking=on)
 */
public class LeftRightAlignment extends Enum {

    /**
     * Specifies that the object or text is aligned to the left of the reference point.
     */
    public static final int LEFT = 0;

    /**
     * Specifies that the object or text is aligned to the right of the reference point.
     */
    public static final int RIGHT = 1;

    /**
     * Determines whether the specified value is one of the constants defined in this class.  */
    public static boolean valid(int value) {}
}