//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;

/**
 * Encapsulates the MainMenu control.  In the Visual J++ Integrated Development Environment,
 * add this component will let you use the design time menu editor, which
 * lets you set up the menu stucture visually. 
 *
 * A Forms menu bar is a MainMenu control.  All sub-menus are Menu controls,
 * and individual items are MenuItem controls.
 *
 * @security(checkClassLinking=on)
 */
public class MainMenu extends Menu
{
    Form form;

    /**
     * Creates a new MainMenu control.
     */
    public MainMenu() {}

    /**
     * Creates a new MainMenu control with the given items to start
     * with.
     *
     * @param items     an array of MenuItems will will be the initial items
     *                  for this menu 
     */
    public MainMenu(MenuItem[] items) {}

    /**
     * Creates a duplicate of this object.
     *
     * @return      a cloned version of this MainMenu object.
     */
    public MainMenu cloneMenu() {}

    /**
     * @internalonly
     */
    protected int createMenuHandle() {}

    /**
     * Frees all the resources allocated by this object.
     * If the menu is parented in a form, it is disconnected from that as
     * well.
     */
    public void dispose() {}

    /**
     * Retrieves a Form object that identifies the form that currently hosts
     * the MainMenu control. 
     * @return      the Form in which this control is currently hosted.
     *
     * @see com.ms.wfc.ui.Form
     */
    public Form getForm() {}

    
    void itemsChanged(int change) {}

    
    void itemsChanged(int change, Menu menu) {}

    /**
     * Returns a string representation for this control.
     *
     * @return String
     * @internalonly
     */
    public String toString() {}

    /**
     * Encapsulates the MainMenu control.
     * @internalonly
     *
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends Menu.ClassInfo {
    }
}