//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Defines a group of constants that represent the orientation of a control or of an  element of the control.  For example, the Font object supports vertical fonts,
 * and the Rebar control supports stacking horizontally or vertically.
 *
 * @security(checkClassLinking=on)
 */
public class Orientation extends Enum {
    /**
     * Indicates that the control is oriented horizontally.
     */
    public static final int HORIZONTAL = 0;

    /**
     * Indicates that the control is oriented vertically.
     */
    public static final int VERTICAL = 1;
    
    /**
     * Retrieves a boolean
     * value that indicates whether a specified value designates a valid Orientation
     * constant.
     */
    public static boolean valid(int value) {}
}