//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.wfc.app.*;
import com.ms.wfc.util.*;

/**
 * This is a value editor that lists all components in a container that
 * are menus, and have more than one child item.  The ToolBar control is
 * an example of a control that requires this.
 * @internalonly
 * @hidden
 *
 * @security(checkClassLinking=on)
 */
public class PopulatedMenusEditor extends com.ms.wfc.core.ReferenceEditor {

    /**
     * Constructs the editor.  The site contains the hosting component
     * and the type to look for.
     *
     * @param site
     */
    public PopulatedMenusEditor(IEditorSite site) {}

    /**
     * Retrieves the components on the form that can be assigned to the type
     * of the editor.
     *
     * @return references list of components that can be assigned to the type
     * of the editor.
     */
    public Object[] getValues() {}
}