//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the queryContinueDrag  event of the Control object. 
 *
 * @see com.ms.wfc.ui.DragAction
 * @security(checkClassLinking=on)
 */
public class QueryContinueDragEvent extends Event {
    
    /**
     * The current state of the shift, ctrl, and alt keys.
     */
    public final int keyState;
    /**
     * Set to true if the user has pressed escape.
     */
    public final boolean escapePressed;
    /**
     * This will be used as the response to the query, values from DragAction.
     * Set to DragAction.CONTINUE to continue the drag operation.
     */
    public int action;

    public QueryContinueDragEvent(int keyState, boolean escapePressed, int action) {}
}