//STRIPPEDSOURCE//
package com.ms.wfc.ui;




/**
 * package com.ms.wfc.ui 
 * @security(checkClassLinking=on)
 */
public class RichEditFind extends com.ms.wfc.core.Enum
{
    /**
     * Indicates that the method should locate all instances of the search text, whether the
     * instances are whole words or not.
     */
    public static final int NONE               = 0x00000000;

    /**
     * Indicates that the method should only locate instances of the search text that are
     * whole words.
     */
    public static final int WHOLEWORD           = 0x00000002;

    /**
     * Indicates that the search is case-sensitive.
     */
    public static final int MATCHCASE           = 0x00000004;

    /**
     * Indicates that the text, if found, should not be highlighted.
     */
    public static final int NOHIGHLIGHT         = 0x00000008;
    
    /**
     * Retrieves a boolean value that indicates whether the specified value
     * is a valid member of this class.
     * 
     * @param value The value to check.
     * 
     * @return <b>true</b> if the value is valid for this class, <b>false</b>
     *         if not.
     */
    public static boolean valid(int value) {}
}