//STRIPPEDSOURCE//
package com.ms.wfc.ui;




/**
 * Defines constants that identify the type of scroll bars that should be used in a RichEdit  control.
 * @security(checkClassLinking=on)
 */
public class RichEditScrollBars extends ScrollBars
{
    
    static final int FORCED                      = 4;

    /**
     * Indicates that the horizontal scroll bar should always be displayed.
     */
    public static final int FORCED_HORIZONTAL     = 5;

    /**
     * Indicates that the vertical scroll bar should always be displayed.
     */
    public static final int FORCED_VERTICAL       = 6;

    /**
     * Indicates that the vertical and horizontal scroll bars should always be displayed.
     */
    public static final int FORCED_BOTH           = 7;

    /**
     * Retrieves a boolean value that indicates whether the specified value
     * is a valid member of this class.
     * 
     * @param value The value to check.
     * 
     * @return <b>true</b> if the value is valid for this class, <b>false</b>
     *         if not.
     */
    public static boolean valid(int value) {}
}