//STRIPPEDSOURCE//
package com.ms.wfc.ui;


/**
 * @security(checkClassLinking=on)
 */
public class RichEditSelAttribute extends com.ms.wfc.core.Enum { 
    /**
     * Only a portion of the current selection has the given attribute set.
     */
    public static final int MIXED     = -1;
    
    /**
     * No element in the current selection has the given attribute set.
     */
    public static final int NONE      = 0;
    
    /**
     * All the elements of the current selection has the given attribute set.
     */
    public static final int ALL       = 1;

    /**
     * Determines if a given value is valid for this enum type.
     * 
     * @param value The value to check.
     * 
     * @return <b>true</b> if the value is valid for this class, <b>false</b>
     *         if not.
     */
    public static boolean valid(int value) {}
}