//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;


/**
 * @security(checkClassLinking=on)
 */
public class SelectionMode extends Enum {

    /**
     * indicates that no items can be selected.
     */
    public static final int NONE             = 0;

    /**
     * indicates that only one item at a time can be selected.
     */
    public static final int ONE              = 1;

    /**
     * indicates that more than one item at a time can be selected.
     */
    public static final int MULTI_SIMPLE     = 2;

    /**
     * Indicates that more than one item at a time can be selected, and 
     * keyboard combinations, such as SHIFT and CTRL can be used to help
     * in selection.
     */
    public static final int MULTI_EXTENDED   = 3;

    /**
     * Checks to see if the given value is valid in this enumeration.
     */
    public static boolean valid(int value) {}
}