//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.io.*;
import com.ms.wfc.util.*;
import com.ms.wfc.win32.*;
import com.ms.win32.*;

/**
 * Represents a date selection range in a MonthCalendar  control. 
 *
 * @security(checkClassLinking=on)
 */
public class SelectionRange implements IConstructable
{
    /**
     * Specifies a Time object that represents the
     * start of the selection range.
     */
    public Time start = null;

    /**
     * Specifies a Time object that represents the end
     * of the selection range.
     */
    public Time end = null;

    /**
     * Create a new SelectionRange object with the range [null, null].
     */
    public SelectionRange() {}

    /**
     * Create a new SelectionRange object with the given range.
     *
     * @param lower     
     * @param upper     
     */
    public SelectionRange(Time lower, Time upper) {}

    /**
     * Create a new SelectionRange object given an existing SelectionRange object.
     *
     * @param range SelectionRange object.
     */
    public SelectionRange(SelectionRange range) {}    

    public ConstructorArg[] getConstructorArgs() {}

    /**
     * Retrieves the end of the selection range. 
     *
     * @return the ending time.
     */
    public Time getEnd() {}

    /** 
     * Retrieves the start of the selection range. 
     * @return the starting time.
     */
    public Time getStart() {}

    /**
     * Returns a string representation for this control.
     *
     * @return String
     * @internalonly
     */
    public String toString() {}

    /**
     * Represents a date selection range in a MonthCalendar  control. 
     * @security(checkClassLinking=on)
     */
    public static class Editor extends ValueEditor {
        
        private static Time[] parseDateList(String s) {}

        
        private String getDateTextFromLong(Time time) {}        

        public int getStyle() {}

        public String getTextFromValue(Object value) {}

        public Object getValueFromText(String text) {}
    }
}