//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;


/**
 * Defines constants that specify shortcut keys that can be associated with menu items. 
 * @security(checkClassLinking=on)
 */
public class Shortcut extends Enum {

    
    
    public static final int NONE = 0;
    public static final int CTRL_A = Key.CONTROL + Key.A;
    public static final int CTRL_B = Key.CONTROL + Key.B;
    public static final int CTRL_C = Key.CONTROL + Key.C;
    public static final int CTRL_D = Key.CONTROL + Key.D;
    public static final int CTRL_E = Key.CONTROL + Key.E;
    public static final int CTRL_F = Key.CONTROL + Key.F;
    public static final int CTRL_G = Key.CONTROL + Key.G;
    public static final int CTRL_H = Key.CONTROL + Key.H;
    public static final int CTRL_I = Key.CONTROL + Key.I;
    public static final int CTRL_J = Key.CONTROL + Key.J;
    public static final int CTRL_K = Key.CONTROL + Key.K;
    public static final int CTRL_L = Key.CONTROL + Key.L;
    public static final int CTRL_M = Key.CONTROL + Key.M;
    public static final int CTRL_N = Key.CONTROL + Key.N;
    public static final int CTRL_O = Key.CONTROL + Key.O;
    public static final int CTRL_P = Key.CONTROL + Key.P;
    public static final int CTRL_Q = Key.CONTROL + Key.Q;
    public static final int CTRL_R = Key.CONTROL + Key.R;
    public static final int CTRL_S = Key.CONTROL + Key.S;
    public static final int CTRL_T = Key.CONTROL + Key.T;
    public static final int CTRL_U = Key.CONTROL + Key.U;
    public static final int CTRL_V = Key.CONTROL + Key.V;
    public static final int CTRL_W = Key.CONTROL + Key.W;
    public static final int CTRL_X = Key.CONTROL + Key.X;
    public static final int CTRL_Y = Key.CONTROL + Key.Y;
    public static final int CTRL_Z = Key.CONTROL + Key.Z;
    public static final int CTRL_SHIFT_A = Key.CONTROL + Key.SHIFT + Key.A;
    public static final int CTRL_SHIFT_B = Key.CONTROL + Key.SHIFT + Key.B;
    public static final int CTRL_SHIFT_C = Key.CONTROL + Key.SHIFT + Key.C;
    public static final int CTRL_SHIFT_D = Key.CONTROL + Key.SHIFT + Key.D;
    public static final int CTRL_SHIFT_E = Key.CONTROL + Key.SHIFT + Key.E;
    public static final int CTRL_SHIFT_F = Key.CONTROL + Key.SHIFT + Key.F;
    public static final int CTRL_SHIFT_G = Key.CONTROL + Key.SHIFT + Key.G;
    public static final int CTRL_SHIFT_H = Key.CONTROL + Key.SHIFT + Key.H;
    public static final int CTRL_SHIFT_I = Key.CONTROL + Key.SHIFT + Key.I;
    public static final int CTRL_SHIFT_J = Key.CONTROL + Key.SHIFT + Key.J;
    public static final int CTRL_SHIFT_K = Key.CONTROL + Key.SHIFT + Key.K;
    public static final int CTRL_SHIFT_L = Key.CONTROL + Key.SHIFT + Key.L;
    public static final int CTRL_SHIFT_M = Key.CONTROL + Key.SHIFT + Key.M;
    public static final int CTRL_SHIFT_N = Key.CONTROL + Key.SHIFT + Key.N;
    public static final int CTRL_SHIFT_O = Key.CONTROL + Key.SHIFT + Key.O;
    public static final int CTRL_SHIFT_P = Key.CONTROL + Key.SHIFT + Key.P;
    public static final int CTRL_SHIFT_Q = Key.CONTROL + Key.SHIFT + Key.Q;
    public static final int CTRL_SHIFT_R = Key.CONTROL + Key.SHIFT + Key.R;
    public static final int CTRL_SHIFT_S = Key.CONTROL + Key.SHIFT + Key.S;
    public static final int CTRL_SHIFT_T = Key.CONTROL + Key.SHIFT + Key.T;
    public static final int CTRL_SHIFT_U = Key.CONTROL + Key.SHIFT + Key.U;
    public static final int CTRL_SHIFT_V = Key.CONTROL + Key.SHIFT + Key.V;
    public static final int CTRL_SHIFT_W = Key.CONTROL + Key.SHIFT + Key.W;
    public static final int CTRL_SHIFT_X = Key.CONTROL + Key.SHIFT + Key.X;
    public static final int CTRL_SHIFT_Y = Key.CONTROL + Key.SHIFT + Key.Y;
    public static final int CTRL_SHIFT_Z = Key.CONTROL + Key.SHIFT + Key.Z;
    public static final int F1 = Key.F1;
    public static final int F2 = Key.F2;
    public static final int F3 = Key.F3;
    public static final int F4 = Key.F4;
    public static final int F5 = Key.F5;
    public static final int F6 = Key.F6;
    public static final int F7 = Key.F7;
    public static final int F8 = Key.F8;
    public static final int F9 = Key.F9;
    public static final int F11 = Key.F11;
    public static final int F12 = Key.F12;
    public static final int SHIFT_F1 = Key.SHIFT + Key.F1;
    public static final int SHIFT_F2 = Key.SHIFT + Key.F2;
    public static final int SHIFT_F3 = Key.SHIFT + Key.F3;
    public static final int SHIFT_F4 = Key.SHIFT + Key.F4;
    public static final int SHIFT_F5 = Key.SHIFT + Key.F5;
    public static final int SHIFT_F6 = Key.SHIFT + Key.F6;
    public static final int SHIFT_F7 = Key.SHIFT + Key.F7;
    public static final int SHIFT_F8 = Key.SHIFT + Key.F8;
    public static final int SHIFT_F9 = Key.SHIFT + Key.F9;
    public static final int SHIFT_F11 = Key.SHIFT + Key.F11;
    public static final int SHIFT_F12 = Key.SHIFT + Key.F12;
    public static final int CTRL_F1 = Key.CONTROL + Key.F1;
    public static final int CTRL_F2 = Key.CONTROL + Key.F2;
    public static final int CTRL_F3 = Key.CONTROL + Key.F3;
    public static final int CTRL_F4 = Key.CONTROL + Key.F4;
    public static final int CTRL_F5 = Key.CONTROL + Key.F5;
    public static final int CTRL_F6 = Key.CONTROL + Key.F6;
    public static final int CTRL_F7 = Key.CONTROL + Key.F7;
    public static final int CTRL_F8 = Key.CONTROL + Key.F8;
    public static final int CTRL_F9 = Key.CONTROL + Key.F9;
    public static final int CTRL_F11 = Key.CONTROL + Key.F11;
    public static final int CTRL_F12 = Key.CONTROL + Key.F12;
    public static final int CTRL_SHIFT_F1 = Key.CONTROL + Key.SHIFT + Key.F1;
    public static final int CTRL_SHIFT_F2 = Key.CONTROL + Key.SHIFT + Key.F2;
    public static final int CTRL_SHIFT_F3 = Key.CONTROL + Key.SHIFT + Key.F3;
    public static final int CTRL_SHIFT_F4 = Key.CONTROL + Key.SHIFT + Key.F4;
    public static final int CTRL_SHIFT_F5 = Key.CONTROL + Key.SHIFT + Key.F5;
    public static final int CTRL_SHIFT_F6 = Key.CONTROL + Key.SHIFT + Key.F6;
    public static final int CTRL_SHIFT_F7 = Key.CONTROL + Key.SHIFT + Key.F7;
    public static final int CTRL_SHIFT_F8 = Key.CONTROL + Key.SHIFT + Key.F8;
    public static final int CTRL_SHIFT_F9 = Key.CONTROL + Key.SHIFT + Key.F9;
    public static final int CTRL_SHIFT_F11 = Key.CONTROL + Key.SHIFT + Key.F11;
    public static final int CTRL_SHIFT_F12 = Key.CONTROL + Key.SHIFT + Key.F12;
    public static final int INS = Key.INSERT;
    public static final int CTRL_INS = Key.CONTROL + Key.INSERT;
    public static final int SHIFT_INS = Key.SHIFT + Key.INSERT;
    public static final int DEL = Key.DELETE;
    public static final int CTRL_DEL = Key.CONTROL + Key.DELETE;
    public static final int SHIFT_DEL = Key.SHIFT + Key.DELETE;
    public static final int ALT_BKSP = Key.ALT + Key.BACK;


    /**
     * Defines constants that specify shortcut keys that can be associated with menu items. 
     * @security(checkClassLinking=on)
     */
    public static class Editor extends FieldsEditor {
        private String totalList;

        private static final String NONE_CAPTION = Sys.getString("toStringNone");
        public Editor() {}

        public String getTextFromValue(Object value)
        {}
    
        public Object getValueFromText(String text)
        {}

        public String getTotalList()
        {}

        public int getStyle() {}

    }

}