//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * Provides data for the splitterMoved  and splitterMoving events of  a Splitter control.   This event will be fired when the splitter is moving, or when the
 * Splitter is finished moving.  It contains information about the move.
 *
 * @security(checkClassLinking=on)
 */
public class SplitterEvent extends Event {

    public final int x;
    public final int y;
    public int splitX;
    public int splitY;
    
    public SplitterEvent(int x, int y, int splitX, int splitY) {}
}