//STRIPPEDSOURCE//
package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * The TabStrip and TabControl both support ownerdraw functionality, but
 * only one type, in which you can paint the tabs individually.  This
 * enumeration contains the valid values for it's <i>drawMode</i> property.
 *
 * @security(checkClassLinking=on)
 */
public class TabDrawMode extends Enum {

    /**
     * All the items in the control are painted by the system and are of the
     * same size
     */
    public static final int NORMAL = 0;

    /**
     * The user paints the items in the control manually
     */
    public static final int OWNERDRAWFIXED = 1;

    /**
     * Indicates whether the given value is valid or not
     */
    public static boolean valid(int value) {}
}