//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * The button appearance of a ToolBar.
 *
 * @security(checkClassLinking=on)
 */
public class ToolBarAppearance extends Enum {

    /**
     * The ToolBar looks like a regular Windows ToolBar, and all buttons
     * are drawn to look like Windows push buttons.
     */
    public static final int NORMAL      = 0;
    
    /**
     * The ToolBar is drawn to appear flat, and buttons are highlighted
     * as the mouse moves over them, and togglebuttons are inset.
     */
    public static final int FLAT        = 1;

    /**
     * Ensures the given value is valid within this enumeration.
     */
    public static boolean valid(int value) {}
}