//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;

/**
 * This Event is fired whenever the user clicks on a button on a ToolBar
 * control.  The button field contains the ToolBarButton object with the
 * information about the button that was clicked.
 *
 * @security(checkClassLinking=on)
 */
public class ToolBarButtonClickEvent extends Event {

    /** 
     * The ToolBarButton object of the button that was clicked.
     */
    public ToolBarButton button;

    /**
     * Creates a new event of this type.  You must pass in the handle of the
     * button that was clicked.
     */
    public ToolBarButtonClickEvent(ToolBarButton button) {}
}