//STRIPPEDSOURCE//

package com.ms.wfc.ui;

import com.ms.wfc.core.*;
import com.ms.win32.*;
import com.ms.wfc.win32.*;
import com.ms.wfc.app.*;

/**
 * Represents an empty control that can be used in the Forms Designer to create other  controls.   By extending form, UserControl inherits all of
 * the standard positioning and mnemonic handling code that is necessary
 * in a user control.
 *
 * @security(checkClassLinking=on)
 */
public class UserControl extends Form {

    /**
     * Creates a new UserControl object.  A vast majority of people will
     * not want to instantiate this class directly, but will be a sub-
     * class of it.  They should definitely not forget to call super() in
     * their Constructors.
     */
    public UserControl() {}

    /**
     * Retrieves the CreateParams used to create the window.
     * If a subclass overrides this function, it must call the super implementation.
     *
     * @return CreateParams used to create the window.
     *
     * @see Control.getCreateParams
     */
    protected CreateParams getCreateParams() {}

    private boolean focusInside() {}

    boolean getActive() {}

    protected void onMouseDown(MouseEvent e) {}
    
    private void wmSetFocus(Message m) {}

    protected void wndProc(Message m) {}

    /**
     * Represents an empty control that can be used in the Forms Designer to create other  controls.   We only inherit from form so we
     * can get form-like characteristics (tab order, etc).
     *
     * @security(checkClassLinking=on)
     */
    public static class ClassInfo extends Control.ClassInfo {
	public void getEvents(IEvents events) {}
    }
}