//STRIPPEDSOURCE//

package com.ms.wfc.util;

import com.ms.wfc.core.*;

/**
 * Represents an exception indicating that there are no more items in the queue.
 *
 * @security(checkClassLinking=on)
 */
public class EmptyQueueException extends WFCException {
    /**
     * Creates a new EmptyQueueException. This will have a
     * default localized message.
     */
    public EmptyQueueException() {}

    /**
     * Creates a new EmptyQueueException. This will have the
     * specified message.
     * 
     * @param <s> Message to display with this exception.
     */
    public EmptyQueueException(String s) {}
}