//STRIPPEDSOURCE//

package com.ms.wfc.util;

import com.ms.wfc.core.*;

/**
 * Represents an exception indicating that there are no more items in the stack. 
 *
 * @security(checkClassLinking=on)
 */
public class EmptyStackException extends WFCException {
    /**
     * Creates a new EmptyStackException. This will have a
     * default localized message.
     */
    public EmptyStackException() {}

    /**
     * Creates a new EmptyStackException. This will have the
     * specified message.
     * 
     * @param <s> Message to display with this exception.
     */
    public EmptyStackException(String s) {}
}