//STRIPPEDSOURCE//

package com.ms.wfc.util;

import com.ms.wfc.win32.*;
import com.ms.win32.*;
import com.ms.wfc.app.*;
import com.ms.wfc.core.*;

/**
 * Creates a resource file.
 *
 * @security(checkClassLinking=on)
 */
public abstract class StaticResourceCreator {
    private IResourceWriter rw = new ResourceWriter();
    private IResourceManager rm = new ResourceManager();
    private String path = null;
    private String basename = null;

    /**
     * Creates a StaticResourceCreator.
     *
     * @param path Path to the directory where the resource files should be
     *        stored.
     * @param basename Base filename for the resource files.
     */
    public StaticResourceCreator(String path, String basename) {}

    protected void addString(String name, String value) {}
    protected void addBoolean(String name, boolean value) {}
    protected void addChar(String name, char value) {}
    protected void addByte(String name, byte value) {}
    protected void addShort(String name, short value) {}
    protected void addInt(String name, int value) {}
    protected void addLong(String name, long value) {}
    protected void addFloat(String name, float value) {}
    protected void addDouble(String name, double value) {}
    protected void addObject(String name, Object value) {}

    /**
     * Override to create resources
     */
    protected abstract void createResources();

    
    private void saveResources() {}

}