//STRIPPEDSOURCE//

package com.ms.wfc.win32;

import com.ms.win32.*;

/**
 * @hidden
 *
 * @security(checkDllCalls=off)
 * @security(checkClassLinking=on)
 */
public class comctl32 {

    public static final int TBSTYLE_WRAPPABLE     = 0x0200;
    public static final int TVM_SETBKCOLOR        = (win.TV_FIRST + 29);
    public static final int TVM_SETTEXTCOLOR      = (win.TV_FIRST + 30);

    

    /** @dll.import("comctl32") */
    public static native void InitCommonControls();

    /** @dll.import("comctl32") */
    public static native boolean InitCommonControlsEx(INITCOMMONCONTROLSEX icc);

    /** @dll.import("comctl32") */
    public static native int ImageList_Create(int cx, int cy, int flags, int cInitial, int cGrow);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_Destroy(int himl);
    /** @dll.import("comctl32") */
    public static native int ImageList_Duplicate(int himl);
    /** @dll.import("comctl32") */
    public static native int ImageList_GetImageCount(int himl);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_SetImageCount(int himl, int uNewCount);
    /** @dll.import("comctl32") */
    public static native int ImageList_Add(int himl, int hbmImage, int hbmMask);
    /** @dll.import("comctl32") */
    public static native int ImageList_ReplaceIcon(int himl, int i, int hicon);
    /** @dll.import("comctl32") */
    public static native int ImageList_SetBkColor(int himl, int clrBk);
    /** @dll.import("comctl32") */
    public static native int ImageList_GetBkColor(int himl);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_SetOverlayImage(int himl, int iImage, int iOverlay);
    /** @dll.import("comctl32") */

    public static native boolean ImageList_Draw(int himl, int i, int hdcDst, int x, int y, int fStyle);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_Replace(int himl, int i, int hbmImage, int hbmMask);
    /** @dll.import("comctl32") */
    public static native int ImageList_AddMasked(int himl, int hbmImage, int crMask);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DrawEx(int himl, int i, int hdcDst, int x, int y, int dx, int dy, int rgbBk, int rgbFg, int fStyle);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DrawIndirect(com.ms.win32.IMAGELISTDRAWPARAMS pimldp);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_Remove(int himl, int i);
    /** @dll.import("comctl32") */
    public static native int ImageList_GetIcon(int himl, int i, int flags);
    /** @dll.import("comctl32") */
    public static native int ImageList_LoadImage(int hi, String lpbmp, int cx, int cGrow, int crMask, int uType, int uFlags);

    /** @dll.import("comctl32") */
    public static native boolean ImageList_Copy(int himlDst, int iDst, int himlSrc, int iSrc, int uFlags);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_BeginDrag(int himlTrack, int iTrack, int dxHotspot, int dyHotspot);
    /** @dll.import("comctl32") */
    public static native void ImageList_EndDrag();
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DragEnter(int hwndLock, int x, int y);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DragLeave(int hwndLock);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DragMove(int x, int y);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_SetDragCursorImage(int himlDrag, int iDrag, int dxHotspot, int dyHotspot);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_DragShowNolock(boolean fShow);
    /** @dll.import("comctl32") */
    public static native int ImageList_GetDragImage(int ppt, int pptHotspot);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_GetIconSize(int himl, int cx, int cy);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_SetIconSize(int himl, int cx, int cy);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_GetImageInfo(int himl, int i, IMAGEINFO pImageInfo);
    /** @dll.import("comctl32") */
    public static native int ImageList_Merge(int himl1, int i1, int himl2, int i2, int dx, int dy);
    /** @dll.import("comctl32") */
    public static native int ImageList_Read(com.ms.com.IStream pstm);
    /** @dll.import("comctl32") */
    public static native boolean ImageList_Write(int himl, com.ms.com.IStream pstm);

    
    /** @dll.import("comctl32") */
    public static native boolean _TrackMouseEvent(TRACKMOUSEEVENT tme);
}